<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
function g5staff_template_loop_title( $args = array() ) {

	$post_settings = &G5STAFF()->listing()->get_layout_settings();
	$single_link_disable = isset($post_settings['single_link_disable']) ? $post_settings['single_link_disable'] : G5STAFF()->options()->get_option('single_link_disable');

	$args = wp_parse_args( $args, array(
		'post' => null,
		'single_link_disable' => $single_link_disable === 'on'
	) );
	G5STAFF()->get_template( 'loop/title.php', $args );
}

add_action( 'g5staff_loop_post_content', 'g5staff_template_loop_title', 5 );

function g5staff_template_loop_job() {
	$prefix                  = G5STAFF()->meta_prefix;
	$job_title = get_post_meta(get_the_ID(),"{$prefix}job_title",true);
	if ($job_title === '') return;
	G5STAFF()->get_template( 'loop/job.php', array('job_title' => $job_title) );
}
add_action('g5staff_loop_post_content','g5staff_template_loop_job',10);
add_action('g5staff_single_info','g5staff_template_loop_job',10);



function g5staff_template_social_profile () {
	$prefix                  = G5STAFF()->meta_prefix;
	$social_profiles = get_post_meta(get_the_ID(),"{$prefix}social_profiles",true);
	if ($social_profiles === '') return;
	G5STAFF()->get_template( 'loop/social-profile.php', array('social_profiles' => $social_profiles) );
}
add_action('g5staff_single_info','g5staff_template_social_profile',20);

function g5staff_template_loop_social_profile() {
	$post_settings = &G5STAFF()->listing()->get_layout_settings();
	$social_profiles_enable = isset($post_settings['social_profiles_enable']) ? $post_settings['social_profiles_enable'] : G5STAFF()->options()->get_option('social_profiles_enable');
	if ($social_profiles_enable !== 'on') return;
	g5staff_template_social_profile();
}
add_action('g5staff_loop_post_content','g5staff_template_loop_social_profile',15);


function g5staff_template_loop_excerpt() {
	$post_settings  = &G5STAFF()->listing()->get_layout_settings();
	$excerpt_enable = isset( $post_settings['excerpt_enable'] ) ? $post_settings['excerpt_enable'] : G5STAFF()->options()->get_option( 'excerpt_enable' );
	if ( $excerpt_enable === 'on' ) {
		echo '<div class="g5staff__post-excerpt">';
		the_excerpt();
		echo '</div>';
	}
}

add_action( 'g5staff_loop_post_content', 'g5staff_template_loop_excerpt', 20 );

function g5staff_template_single_title() {
	G5STAFF()->get_template( 'single/title.php' );
}
add_action('g5staff_single_info','g5staff_template_single_title',5);




function g5staff_template_search_form() {
	G5STAFF()->get_template( 'searchform.php' );
}

function g5staff_template_single_image() {
	G5STAFF()->get_template('single/image.php');
}

function g5staff_template_single_meta() {
	$prefix = G5STAFF()->meta_prefix;
	$staff_info = get_post_meta(get_the_ID(),"{$prefix}staff_info",true);
	$staff_info = !is_array($staff_info) ? array($staff_info) : $staff_info;
	G5STAFF()->get_template('single/meta.php',array('staff_info' => $staff_info));
}
add_action('g5staff_single_info','g5staff_template_single_meta',15);