<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
if ( ! class_exists( 'G5Staff_Abstracts_Elements_Listing', false ) ) {
	G5STAFF()->load_file( G5STAFF()->plugin_dir( 'inc/abstract/elementor-listing.class.php' ) );
}

class UBE_Element_G5Staff_Staff_Slider extends G5Staff_Abstracts_Elements_Listing {

	/**
	 * Get element name.
	 *
	 * Retrieve the element name.
	 *
	 * @return string The name.
	 * @since 1.4.0
	 * @access public
	 *
	 */
	public function get_name() {
		return 'ube-g5-staff-slider';
	}

	public function get_title() {
		return esc_html__( 'G5 Staff Slider', 'g5-staff' );
	}

	public function get_ube_icon() {
		return 'eicon-person';
	}

	public function get_ube_keywords() {
		return array('staff','slider', 'cpt', 'item', 'loop', 'query', 'cards', 'custom post type','ube','g5' );
	}

	public function get_script_depends() {
		return array(G5STAFF()->assets_handle('staff-slider'));
	}

	public function render() {
		G5STAFF()->get_template( 'elements/staff-slider/template.php', array(
			'element' => $this
		) );
	}

	protected function _register_controls() {
		$this->register_layout_section_controls();
		$this->register_image_size_section_controls();
		$this->register_query_section_controls();
		$this->register_slider_section_controls();
		$this->register_style_section_controls();
	}

	protected function register_layout_section_controls() {
		parent::register_layout_section_controls();
		$this->remove_control('post_layout');
		$this->remove_control('post_paging');
		$this->update_control('post_columns',[
			'condition' => []
		]);

	}
}