<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
/**
 * @var $element UBE_Element_G5Staff_Staff_Slider
 */
$atts = $element->get_settings_for_display();
$wrapper_classes = array(
	'ube__staff-slider',
);

$element->set_render_attribute('wrapper', array(
	'class'=> $wrapper_classes
));

$query_args = array(
	'post_type' => 'staff'
);

$post_image_size = isset($atts['post_image_size']) ? $atts['post_image_size'] : 'medium';
$post_image_ratio_width = isset($atts['post_image_ratio_width']) ? $atts['post_image_ratio_width'] : '';
$post_image_ratio_height = isset($atts['post_image_ratio_height']) ? $atts['post_image_ratio_height'] : '';
$excerpt_enable = isset($atts['excerpt_enable']) ? $atts['excerpt_enable'] : '';
$single_link_disable = isset($atts['single_link_disable']) ? $atts['single_link_disable'] : '';
$social_profiles_enable = isset($atts['social_profiles_enable']) ? $atts['social_profiles_enable'] : 'on';

$settings = array(
	'post_layout' => 'grid',
	'image_size' => $post_image_size,
	'image_ratio' => array(
		'width' => $post_image_ratio_width,
		'height' => $post_image_ratio_height
	),
	'single_link_disable' => $single_link_disable,
	'excerpt_enable' => $excerpt_enable,
	'social_profiles_enable' => $social_profiles_enable
);
$atts['slider'] = true;
$element->prepare_display($atts,$query_args,$settings);
?>
<div <?php echo $element->get_render_attribute_string('wrapper') ?>>
	<?php G5STAFF()->listing()->render_content($element->_query_args, $element->_settings); ?>
</div>