<?php
// Do not allow directly accessing this file.
if ( ! defined( 'ABSPATH' ) ) {
	exit( 'Direct script access denied.' );
}
function g5works_template_loop_title( $args = array() ) {
	$args = wp_parse_args( $args, array(
		'post' => null
	) );
	G5WORKS()->get_template( 'loop/title.php', $args );
}

add_action( 'g5works_loop_post_content', 'g5works_template_loop_title', 10 );

function g5works_template_loop_cat() {
	$post_settings   = &G5WORKS()->listing()->get_layout_settings();
	$category_enable = isset( $post_settings['category_enable'] ) ?  $post_settings['category_enable']  : G5WORKS()->options()->get_option( 'category_enable' );
	if ( $category_enable === 'on' ) {
		echo get_the_term_list( get_the_ID(), 'works_category', '<div class="g5works__post-cat">', ' / ', '</div>' );
	}

}
add_action( 'g5works_loop_post_content', 'g5works_template_loop_cat', 5 );

function g5works_template_loop_excerpt() {
	$post_settings  = &G5WORKS()->listing()->get_layout_settings();
	$excerpt_enable = isset( $post_settings['excerpt_enable'] ) ? $post_settings['excerpt_enable'] : G5WORKS()->options()->get_option( 'excerpt_enable' );
	if ( $excerpt_enable === 'on' ) {
		echo '<div class="g5works__post-excerpt">';
		the_excerpt();
		echo '</div>';
	}
}

add_action( 'g5works_loop_post_content', 'g5works_template_loop_excerpt', 15 );

function g5works_template_single_title() {
	$single_title_enable = G5WORKS()->options()->get_option('single_title_enable');
	if ($single_title_enable === 'on') {
		G5WORKS()->get_template( 'single/title.php' );
	}
}
add_action('g5works_before_single_content','g5works_template_single_title',5);




function g5works_template_single_navigation() {
	$single_navigation = G5WORKS()->options()->get_option( 'single_navigation_enable' );
	if ( $single_navigation !== 'on' ) {
		return;
	}
	G5WORKS()->get_template( 'single/navigation.php' );
}

add_action( 'g5works_after_single', 'g5works_template_single_navigation', 10 );

function g5works_template_single_related() {
	$related_enable = G5WORKS()->options()->get_option( 'single_related_enable' );
	if ( $related_enable !== 'on' ) {
		return;
	}
	G5WORKS()->get_template( 'single/related.php' );
}

add_action( 'g5works_after_single', 'g5works_template_single_related', 20 );


function g5works_template_single_comment() {
	$comment_enable = G5WORKS()->options()->get_option( 'comment_enable' );
	if ( $comment_enable !== 'on' ) {
		return;
	}
	if ( comments_open() || get_comments_number() ) {
		comments_template();
	}
}

add_action( 'g5works_after_single', 'g5works_template_single_comment', 30 );


function g5works_template_single_share() {
	$social_share = g5works_single_share_enable();
	if (!$social_share) {
		return;
	}
	g5core_template_social_share();
}

add_action( 'g5works_after_single_content', 'g5works_template_single_share', 10 );


function g5works_template_search_form() {
	G5WORKS()->get_template( 'searchform.php' );
}

