<?php
/**
 * Setup theme data (vc template, vc template categories ...)
 */
if (!defined('ABSPATH')) {
	exit('Direct script access denied.');
}
if (!class_exists('G5ThemeAddons_Setup_Theme_Data')) {
	class G5ThemeAddons_Setup_Theme_Data {
		private static $_instance;
		public static function getInstance()
		{
			if (self::$_instance == NULL) {
				self::$_instance = new self();
			}
			return self::$_instance;
		}
		public function init() {
			add_filter( 'g5element_vc_load_templates', array($this, 'vc_templates') );
			add_filter( 'g5element_vc_template_categories', array($this, 'vc_template_categories'));
		}

		public function vc_templates() {
			$templates = json_decode('[{"name":"Page Title 18","image_path":"page-title-18","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1572339052365{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-07.jpg?id=141) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"Structure careers\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 17","image_path":"page-title-17","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_heading layout_style=\"style-02\" title=\"Completed Cases\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 16","image_path":"page-title-16","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1571734378052{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-06.jpg?id=140) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"Completed Cases\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 15","image_path":"page-title-15","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_heading layout_style=\"style-02\" title=\"Contact uS\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 14","image_path":"page-title-14","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569547333499{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-03.jpg?id=130) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"Contact US\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 13","image_path":"page-title-13","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_heading layout_style=\"style-02\" title=\"About Us\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 12","image_path":"page-title-12","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546021756{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-01.jpg?id=94) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"About Us\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 11","image_path":"page-title-11","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_heading layout_style=\"style-02\" title=\"Our Portfolio\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 10","image_path":"page-title-10","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569548229017{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-06.jpg?id=140) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"Our Portfolio\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 09","image_path":"page-title-09","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_heading layout_style=\"style-02\" title=\"Our Services\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 08","image_path":"page-title-08","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569547412779{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-04.jpg?id=131) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_heading title=\"Our Services\" tag_html=\"1\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.2%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Footer Default","image_path":"footer-default","content":"<p>[vc_row full_width=\"stretch_row_content_no_spaces\" el_class=\"vc-col-no-pt\"][vc_column css=\".vc_custom_1569660173159{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"67\"][\/vc_column][\/vc_row][vc_row equal_height=\"yes\" el_class=\"vc-col-no-pt\"][vc_column width=\"1\/2\"][vc_single_image image=\"39\" img_size=\"full\"][\/vc_column][vc_column width=\"1\/2\"][vc_column_text el_class=\"opening-time text-right text-left-sm\"]<i class=\"fas fa-clock\"><\/i> MON - SAT: 6.00 - 18.00 SUN: CLOSED[\/vc_column_text][g5element_space spacing=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"30\" spacing_md=\"25\"][vc_widget_sidebar sidebar_id=\"footer01\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_space spacing=\"30\" spacing_md=\"25\"][vc_widget_sidebar sidebar_id=\"footer02\" el_class=\"custom-menu-width-50\"][\/vc_column][vc_column offset=\"vc_col-md-5\"][g5element_space spacing=\"30\" spacing_md=\"25\"][vc_widget_sidebar sidebar_id=\"footer03\"][g5element_space spacing=\"57\" spacing_md=\"45\" spacing_sm=\"25\"][\/vc_column][vc_column css=\".vc_custom_1569494077508{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"40\"][\/vc_column][vc_column width=\"2\/3\"][g5element_list layout_style=\"style-03\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Privacy%20Policy%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Terms%20and%20Conditions%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Help%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Partners%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][vc_column_text css=\".vc_custom_1569546851452{margin-top: 30px !important;}\"]<\/p>\r\n<p>\u00a9 2019 Thallo - All Rights Reserved. Made by G5theme<\/p>\r\n<p>[\/vc_column_text][\/vc_column][vc_column width=\"1\/3\"][g5element_social_icons social_shape=\"circle\" social_align=\"right\" social_icons=\"social-facebook,social-twitter,social-skype,social-instagram\" icon_color=\"#ecf5f6\" icon_hover_color=\"#ffffff\" el_class=\"social-icons-left-sm custom-color-social-icons\"][g5element_space spacing=\"0\" spacing_sm=\"70\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"footer"},{"name":"Footer 04","image_path":"footer-04","content":"[vc_row el_class=\"border-agency vc-col-no-pt\"][vc_column width=\"1\/3\"][g5element_space spacing=\"92\" spacing_md=\"42\"][vc_widget_sidebar sidebar_id=\"footer06\"][\/vc_column][vc_column width=\"1\/3\"][g5element_space spacing=\"92\" spacing_md=\"42\" spacing_sm=\"15\"][vc_widget_sidebar sidebar_id=\"footer07\"][\/vc_column][vc_column width=\"1\/3\"][g5element_space spacing=\"92\" spacing_md=\"42\" spacing_sm=\"15\"][vc_widget_sidebar sidebar_id=\"footer08\"][g5element_space spacing=\"50\" spacing_sm=\"15\"][\/vc_column][\/vc_row][vc_row][vc_column css=\".vc_custom_1569570620287{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"6\"][\/vc_column][vc_column width=\"1\/2\"][vc_single_image image=\"39\" img_size=\"full\" css=\".vc_custom_1569571081768{margin-bottom: 10px !important;}\"][vc_column_text css=\".vc_custom_1569570850817{margin-bottom: 32px !important;}\"]\r\n<p class=\"sm-text\">\u00a9 2019 <a href=\"#\">Thallo<\/a> - All Rights Reserved. Made by <a href=\"#\">G5theme <\/a><\/p>\r\n[\/vc_column_text][\/vc_column][vc_column width=\"1\/2\"][g5element_social_icons social_shape=\"circle\" social_align=\"right\" social_icons=\"social-facebook,social-twitter,social-skype,social-instagram\" el_class=\"social-icons-left-sm custom-color-social-icons\" icon_color=\"#ecf5f6\" icon_hover_color=\"#ffffff\"][g5element_space spacing=\"0\" spacing_sm=\"60\"][\/vc_column][\/vc_row]","custom_class":"footer"},{"name":"Footer 03","image_path":"footer-03","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_list layout_style=\"style-03\" text_align=\"align-center\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Privacy%20Policy%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Terms%20and%20Conditions%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Help%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Partners%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space spacing=\"45\"][vc_single_image image=\"39\" img_size=\"full\" alignment=\"center\" css=\".vc_custom_1569557985115{margin-bottom: 30px !important;}\"][g5element_social_icons social_shape=\"circle\" social_icons=\"social-facebook,social-twitter,social-skype,social-instagram\" icon_color=\"#ecf5f6\" icon_hover_color=\"#ffffff\" el_class=\"custom-color-social-icons\"][g5element_space spacing=\"70\" spacing_md=\"50\"][\/vc_column][vc_column css=\".vc_custom_1569557758396{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"30\"][\/vc_column][vc_column offset=\"vc_col-md-6\"][vc_column_text css=\".vc_custom_1569558737001{margin-bottom: 20px !important;}\" el_class=\"text-center-md\"]\r\n<p class=\"sm-text\">\u00a9 2019 <a href=\"#\">Thallo<\/a> - All Rights Reserved. Made by <a href=\"#\">G5theme <\/a><\/p>\r\n[\/vc_column_text][\/vc_column][vc_column offset=\"vc_col-md-6\"][vc_column_text el_class=\"opening-time text-right text-center-md\" css=\".vc_custom_1569558729482{margin-bottom: 32px !important;}\"]<i class=\"fas fa-clock\"><\/i> MON - SAT: 6.00 - 18.00 SUN: CLOSED[\/vc_column_text][g5element_space spacing=\"0\" spacing_md=\"20\"][\/vc_column][\/vc_row]","custom_class":"footer"},{"name":"Footer 02","image_path":"footer-02","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"128\" spacing_md=\"80\"][vc_single_image image=\"39\"][vc_column_text]\r\n<p class=\"sm-text\">\u00a9 2019 <a href=\"#\">Thallo<\/a> - All Rights Reserved. Made by <a href=\"#\">G5theme <\/a><\/p>\r\n[\/vc_column_text][g5element_social_icons social_shape=\"circle\" social_align=\"left\" social_icons=\"social-facebook,social-twitter,social-skype,social-instagram\" icon_color=\"#ecf5f6\" icon_hover_color=\"#ffffff\" el_class=\"custom-color-social-icons\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"135\" spacing_md=\"75\" spacing_sm=\"55\"][vc_widget_sidebar sidebar_id=\"footer02\" el_class=\"custom-menu-width-50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"135\" spacing_md=\"50\" spacing_sm=\"15\"][vc_widget_sidebar sidebar_id=\"footer04\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"135\" spacing_md=\"50\" spacing_sm=\"15\"][vc_widget_sidebar sidebar_id=\"footer05\" el_class=\"custom-mailchimp\"][\/vc_column][vc_column][g5element_space spacing=\"28\" spacing_sm=\"0\"][\/vc_column][vc_column css=\".vc_custom_1569555925136{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"31\"][\/vc_column][vc_column width=\"2\/3\"][g5element_list layout_style=\"style-03\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Privacy%20Policy%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Terms%20and%20Conditions%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Help%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Partners%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space spacing=\"\" spacing_md=\"20\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][vc_column_text el_class=\"opening-time text-right text-left-md\" css=\".vc_custom_1569556744511{margin-bottom: 32px !important;}\"]<i class=\"fas fa-clock\"><\/i> MON - SAT: 6.00 - 18.00 SUN: CLOSED[\/vc_column_text][g5element_space spacing=\"0\" spacing_sm=\"18\"][\/vc_column][\/vc_row]","custom_class":"footer"},{"name":"Page Title 07","image_path":"page-title-07","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569548292417{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-07.jpg?id=141) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 06","image_path":"page-title-06","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569548229017{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-06.jpg?id=140) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 05","image_path":"page-title-05","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569548186602{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-05.jpg?id=139) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 03","image_path":"page-title-03","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569547333499{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-03.jpg?id=130) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 04","image_path":"page-title-04","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569547412779{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-04.jpg?id=131) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"page-title"},{"name":"Page Title 02","image_path":"page-title-02","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546503923{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-02.jpg?id=119) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"250\"][g5element_breadcrumbs layout_style=\"center\"][g5element_page_title layout_style=\"style-02\"][g5element_space spacing=\"68\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Page Title 01","image_path":"page-title-01","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1569546021756{background-image: url(http:\/\/dev.g5plus.net\/thallo\/wp-content\/uploads\/2019\/09\/page-title-01.jpg?id=94) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"252\"][g5element_breadcrumbs][g5element_page_title][g5element_space spacing=\"160\"][\/vc_column][\/vc_row]","custom_class":"page-title"},{"name":"Footer 01","image_path":"footer-01","content":"<p>[vc_row equal_height=\"yes\" el_class=\"vc-col-no-pt\"][vc_column width=\"1\/2\"][g5element_space spacing=\"130\" spacing_md=\"80\"][vc_single_image image=\"39\" img_size=\"full\"][\/vc_column][vc_column width=\"1\/2\"][g5element_space spacing=\"130\" spacing_md=\"80\" spacing_sm=\"0\"][vc_column_text el_class=\"opening-time text-right text-left-sm\"]<i class=\"fas fa-clock\"><\/i> MON - SAT: 6.00 - 18.00 SUN: CLOSED[\/vc_column_text][g5element_space spacing=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_space spacing=\"30\" spacing_md=\"15\"][vc_widget_sidebar sidebar_id=\"footer01\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_space spacing=\"30\" spacing_md=\"15\"][vc_widget_sidebar sidebar_id=\"footer02\" el_class=\"custom-menu-width-50\"][\/vc_column][vc_column offset=\"vc_col-md-5\"][g5element_space spacing=\"30\" spacing_md=\"15\"][vc_widget_sidebar sidebar_id=\"footer03\"][g5element_space spacing=\"57\" spacing_md=\"25\"][\/vc_column][vc_column css=\".vc_custom_1569494077508{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"40\"][\/vc_column][vc_column width=\"2\/3\"][g5element_list layout_style=\"style-03\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Privacy%20Policy%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Terms%20and%20Conditions%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Help%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22items%22%3A%22Partners%22%2C%22link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][vc_column_text css=\".vc_custom_1569546851452{margin-top: 30px !important;}\"]<\/p>\r\n<p class=\"sm-text\">\u00a9 2019 <a href=\"#\">Thallo<\/a> - All Rights Reserved. Made by <a href=\"#\">G5theme <\/a><\/p>\r\n<p>[\/vc_column_text][\/vc_column][vc_column width=\"1\/3\"][g5element_social_icons social_shape=\"circle\" social_align=\"right\" social_icons=\"social-facebook,social-twitter,social-skype,social-instagram\" icon_color=\"#ecf5f6\" icon_hover_color=\"#ffffff\" el_class=\"social-icons-left-sm custom-color-social-icons\"][g5element_space spacing=\"0\" spacing_sm=\"70\"][\/vc_column][\/vc_row]<\/p>\r\n","custom_class":"footer"},{"name":"The Best Case 01","image_path":"the-best-case-01","content":"[vc_section][vc_row full_width=\"stretch_row\" css=\".vc_custom_1571627173605{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/case-11.jpg?id=3041) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt custom-works-skin-08 custom-box-shadow\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Completed Cases\" subtitle=\"THE BEST Case\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"19\"][g5element_works_slider cate_filter_enable=\"on\" cate_filter_align=\"center\" item_skin=\"skin-08\" category_enable=\"\" excerpt_enable=\"on\" columns_xl=\"1\" columns_lg=\"1\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" post_image_size=\"full\" post_image_ratio_width=\"500\" post_image_ratio_height=\"514\" item_custom_class=\"custom-border-top\"][g5element_space spacing=\"0\" spacing_lg=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row][vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"280\" spacing_lg=\"0\"][\/vc_column][\/vc_row][\/vc_section]","custom_class":"case"},{"name":"The Best Case 03","image_path":"the-best-case-03","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1571643659485{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Completed Cases\" subtitle=\"THE BEST Case\"][g5element_space spacing=\"18\"][g5element_works_slider cate_filter_enable=\"on\" cate_filter_align=\"center\" item_skin=\"skin-08\" category_enable=\"\" excerpt_enable=\"on\" columns_xl=\"1\" columns_lg=\"1\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" post_image_size=\"full\" post_image_ratio_width=\"500\" post_image_ratio_height=\"514\" item_custom_class=\"custom-border-top\"][g5element_space spacing=\"80\" spacing_lg=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"case"},{"name":"The Best Case 04","image_path":"the-best-case-04","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-5\"][g5element_heading title=\"Completed Cases\" subtitle=\"THE BEST Case\"][\/vc_column][vc_column el_id=\"case-filter-top\" offset=\"vc_col-lg-6 vc_col-md-7\"][g5element_space spacing=\"33\" spacing_md=\"27\"][\/vc_column][vc_column][g5element_space spacing=\"31\" spacing_md=\"49\"][g5element_works_slider cate_filter_enable=\"on\" item_skin=\"skin-07\" append_tabs=\"#case-filter-top .wpb_wrapper\" columns_xl=\"2\" columns_lg=\"1\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" post_image_size=\"300x320\"][g5element_space spacing=\"80\" spacing_lg=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"case"},{"name":"The Best Case 02","image_path":"the-best-case-02","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1571452764967{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Completed Cases\" subtitle=\"THE BEST CASE\"][g5element_space spacing=\"20\"][g5element_works_slider cate_filter_enable=\"on\" cate_filter_align=\"center\" item_skin=\"skin-03\" columns_xl=\"2\" columns_lg=\"2\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" post_image_size=\"570x320\"][g5element_space spacing=\"80\" spacing_lg=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"case"},{"name":"Meet The Team 04","image_path":"meet-the-team-04","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Meet the Team\" subtitle=\"OUR TEAM\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing=\"73\" spacing_md=\"53\"][g5element_staff_slider item_skin=\"skin-02\" order=\"asc\" columns_sm=\"2\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" slider_auto_height_enable=\"\"][g5element_space spacing=\"102\" spacing_md=\"52\"][\/vc_column][\/vc_row]","custom_class":"staff"},{"name":"Meet The Team 03","image_path":"meet-the-team-03","content":"[vc_row equal_height=\"yes\" el_class=\"our-team-hover-border vc-col-no-pt\"][vc_column][g5element_space spacing=\"118\" spacing_md=\"68\"][g5element_heading title=\"Meet the Team\"][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column][g5element_staff posts_per_page=\"6\" order=\"asc\" columns_xl=\"3\" columns_lg=\"2\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" post_image_size=\"200x200\"][g5element_space spacing=\"78\" spacing_md=\"28\"][\/vc_column][\/vc_row]","custom_class":"staff"},{"name":"Get A Quote 04","image_path":"get-a-quote-04","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570615373146{background-color: #f2f9ff !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Request a call back\" subtitle=\"GET A QUOTE\"][g5element_space spacing=\"43\" spacing_md=\"36\"][\/vc_column][vc_column width=\"7\/12\"][vc_single_image image=\"1154\" img_size=\"501x446\" el_class=\"text-center-md\"][\/vc_column][vc_column el_class=\"bg-white-input\" offset=\"vc_col-md-5\"][g5element_space spacing=\"6\" spacing_md=\"35\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][\/vc_column][vc_column][g5element_space spacing=\"34\" spacing_md=\"66\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Meet The Team 01","image_path":"meet-the-team-01","content":"[vc_row equal_height=\"yes\" el_class=\"our-team-hover-border vc-col-no-pt\"][vc_column][g5element_space spacing=\"118\" spacing_md=\"68\"][g5element_heading title=\"Meet the Team\"][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4 vc_col-md-6\"][g5element_our_team layout_style=\"style-02\" name=\"Jont kook\" job=\"Founder &amp; CEO\" description=\"\" avatar=\"2204\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4\"][g5element_our_team layout_style=\"style-02\" name=\"Clark Roberts\" job=\"Chief Finance Officer\" description=\"\" avatar=\"2205\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4\"][g5element_our_team layout_style=\"style-02\" name=\"Ashley Hardy\" job=\"VP Sales and Marketing\" description=\"\" avatar=\"2206\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4\"][g5element_our_team layout_style=\"style-02\" name=\"Dennis Norris\" job=\"Chief Marketing Officer\" description=\"\" avatar=\"2207\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4\"][g5element_our_team layout_style=\"style-02\" name=\"Gina Kennedy\" job=\"Tax Consultant\" description=\"\" avatar=\"2208\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-4\"][g5element_our_team layout_style=\"style-02\" name=\"Fernando Torres\" job=\"Financial Advisor\" description=\"\" avatar=\"2209\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"our-team"},{"name":"About Us 02","image_path":"about-us-02","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1573614573463{background-color: #f2f9ff !important;}\"][vc_column el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570609832624{margin-left: -150px !important;}\" offset=\"vc_col-lg-7 vc_col-md-6\"][g5element_space spacing=\"62\" spacing_lg=\"0\" spacing_md=\"78\"][vc_single_image image=\"783\" img_size=\"617x567\" el_class=\"text-center-md\"][g5element_space spacing=\"35\" spacing_lg=\"0\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\" el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570609857915{margin-left: -15px !important;}\"][g5element_space spacing=\"0\" spacing_lg=\"124\" spacing_md=\"35\"][g5element_heading title=\"All-in-One Web Solution\nfor Your Business\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"27\"][g5element_list color_list_type=\"#000000\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Different%20Demos%20with%20Real%20Content%22%7D%2C%7B%22items%22%3A%22Advanced%20Portfolio%20with%20Case%20Studies%22%7D%2C%7B%22items%22%3A%2224%2F7%20Support%20with%20Live%20Chat%22%7D%5D\"][g5element_space spacing=\"58\"][g5element_button title=\"CONTACT US\" shape=\"round\" size=\"xl\" button_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2212%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\" padding_top_bottom=\"4\" padding_left_right=\"69\" link=\"url:%23|||\"][g5element_space spacing=\"0\" spacing_lg=\"140\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"list"},{"name":"Services Listting","image_path":"services-listting","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"130\" spacing_md=\"80\"][g5element_services item_skin=\"skin-03\" category_enable=\"on\" posts_per_page=\"9\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"2\" columns=\"1\" post_image_size=\"370x240\"][g5element_space spacing=\"78\" spacing_md=\"28\"][\/vc_column][\/vc_row]","custom_class":"services"},{"name":"Our Projects 02","image_path":"our-projects-02","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570604540134{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/bg-portfolio-01.jpg?id=1952) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Featured Works\" subtitle=\"OUR PROJECTS\" description=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"580\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"72\" spacing_md=\"52\"][g5element_portfolio_slider item_skin=\"skin-02\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"2\" columns=\"1\" slider_pagination_enable=\"\" slider_navigation_enable=\"on\" slider_auto_height_enable=\"\" post_image_size=\"370x470\" el_class=\"white-text-color\"][g5element_space spacing=\"102\" spacing_md=\"53\"][\/vc_column][\/vc_row]","custom_class":"portfolio"},{"name":"Services 01","image_path":"services-01","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"111\" spacing_md=\"61\"][g5element_services columns_gutter=\"40\" posts_per_page=\"6\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"2\" columns=\"1\" post_image_size=\"370x240\"][g5element_space spacing=\"64\" spacing_md=\"14\"][\/vc_column][\/vc_row]","custom_class":"services"},{"name":"Our Projects 01","image_path":"our-projects-01","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570604540134{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/bg-portfolio-01.jpg?id=1952) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Featured Works\" subtitle=\"OUR PROJECTS\" description=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"580\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"56\" spacing_md=\"36\"][g5element_slider_container slides_to_show=\"1\" dots_navigation=\"\" el_class=\"slick-arrows-center\"][g5element_portfolio post_layout=\"thallo-01\" item_skin=\"skin-03\" posts_per_page=\"3\" offset=\"6\" post_image_size=\"470x245\"][g5element_portfolio post_layout=\"thallo-01\" item_skin=\"skin-03\" posts_per_page=\"3\" offset=\"3\" post_image_size=\"470x245\"][g5element_portfolio post_layout=\"thallo-01\" item_skin=\"skin-03\" posts_per_page=\"3\" post_image_size=\"470x245\"][\/g5element_slider_container][g5element_space spacing=\"77\" spacing_lg=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"portfolio"},{"name":"The Best Solutions","image_path":"the-best-solutions","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Awesome Services\" subtitle=\"THE BEST SOLUTIONS\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing=\"73\" spacing_md=\"53\"][g5element_services_slider item_skin=\"skin-03\" columns_gutter=\"none\" posts_per_page=\"9\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"1\" columns=\"1\" slider_pagination_enable=\"\" slider_auto_height_enable=\"\" post_image_size=\"full\" post_image_ratio_width=\"370\" post_image_ratio_height=\"240\" el_class=\"custom-services-col-3-skin-bordered\"][g5element_space spacing=\"83\" spacing_md=\"33\"][\/vc_column][\/vc_row]","custom_class":"services-slider"},{"name":"Blog & News 03","image_path":"blog-news-03","content":"<p>[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Blog &amp; News\" subtitle=\"THALLIO BLOG\"][g5element_space spacing=\"65\" spacing_md=\"45\"][g5element_posts_slider excerpt_enable=\"\" posts_per_page=\"6\" columns_xl=\"2\" columns_lg=\"2\" columns_md=\"1\" columns_sm=\"1\" columns=\"1\" slider_auto_height_enable=\"\" post_image_size=\"270x200\" ids=\"\" el_class=\"g5blog__post-grid-custom-02\"][g5element_space spacing=\"120\" spacing_md=\"70\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"posts-slider"},{"name":"Blog & News 02","image_path":"blog-news-02","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Blog &amp; News\" subtitle=\"Thallo Blog\"][g5element_space spacing=\"68\" spacing_md=\"48\"][g5element_posts_slider excerpt_enable=\"\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"2\" columns=\"1\" slider_pagination_enable=\"\" slider_auto_height_enable=\"\" post_image_size=\"370x230\" ids=\"\" el_class=\"g5blog__post-grid-custom-01\"][g5element_space spacing=\"107\" spacing_md=\"57\" spacing_sm=\"28\"][\/vc_column][\/vc_row]","custom_class":"posts-slider"},{"name":"Blog & News 01","image_path":"blog-news-01","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading title=\"Keep always updated with our fresh blog posts\" subtitle=\"Blog &amp; News\" limit_width=\"470\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"68\" spacing_md=\"48\"][g5element_posts_slider excerpt_enable=\"\" columns_xl=\"3\" columns_lg=\"3\" columns_md=\"2\" columns_sm=\"2\" columns=\"1\" slider_pagination_enable=\"\" slider_auto_height_enable=\"\" post_image_size=\"370x230\" el_class=\"g5blog__post-grid-custom-01\" ids=\"\"][g5element_space spacing=\"107\" spacing_md=\"57\" spacing_sm=\"25\"][\/vc_column][\/vc_row]","custom_class":"posts-slider"},{"name":"Client Logo 03","image_path":"client-logo-03","content":"[vc_row content_placement=\"middle\"][vc_column][g5element_space spacing=\"80\" spacing_md=\"60\"][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column width=\"5\/12\" el_class=\"border-client\" offset=\"vc_col-md-4\"][g5element_client_logo image=\"1565\" opacity=\"100\" opacity_hover=\"100\"][\/vc_column][vc_column width=\"7\/12\" offset=\"vc_col-md-8\"][g5element_space spacing=\"\" spacing_sm=\"30\"][g5element_heading title=\"Chimoon Technology LLC\" description=\"We have been partners since 1999. Our mission is to satisfy our clients\u2019 needs and deliver the works to our customers beyond their expectations.\" tag_html=\"4\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22accent%22%7D\" el_class=\"heading-client-logo\"][\/vc_column][vc_column][g5element_space][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column width=\"5\/12\" el_class=\"border-client\" offset=\"vc_col-md-4\"][g5element_client_logo image=\"1566\" opacity=\"100\" opacity_hover=\"100\"][\/vc_column][vc_column width=\"7\/12\" offset=\"vc_col-md-8\"][g5element_space spacing=\"\" spacing_sm=\"30\"][g5element_heading title=\"American Jsc.\" description=\"We have been partners since 1999. Our mission is to satisfy our clients\u2019 needs and deliver the works to our customers beyond their expectations.\" tag_html=\"4\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22accent%22%7D\" el_class=\"heading-client-logo\"][\/vc_column][vc_column][g5element_space][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column width=\"5\/12\" el_class=\"border-client\" offset=\"vc_col-md-4\"][g5element_client_logo image=\"1567\" opacity=\"100\" opacity_hover=\"100\"][\/vc_column][vc_column width=\"7\/12\" offset=\"vc_col-md-8\"][g5element_space spacing=\"\" spacing_sm=\"30\"][g5element_heading title=\"Hera bulding Office\" description=\"We have been partners since 1999. Our mission is to satisfy our clients\u2019 needs and deliver the works to our customers beyond their expectations.\" tag_html=\"4\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22accent%22%7D\" el_class=\"heading-client-logo\"][\/vc_column][vc_column][g5element_space][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column width=\"5\/12\" el_class=\"border-client\" offset=\"vc_col-md-4\"][g5element_client_logo image=\"1569\" opacity=\"100\" opacity_hover=\"100\"][\/vc_column][vc_column width=\"7\/12\" offset=\"vc_col-md-8\"][g5element_space spacing=\"\" spacing_sm=\"30\"][g5element_heading title=\"Bubalus Office bulding\" description=\"We have been partners since 1999. Our mission is to satisfy our clients\u2019 needs and deliver the works to our customers beyond their expectations.\" tag_html=\"4\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22accent%22%7D\" el_class=\"heading-client-logo\"][\/vc_column][vc_column][g5element_space][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column width=\"5\/12\" el_class=\"border-client\" offset=\"vc_col-md-4\"][g5element_client_logo image=\"1568\" opacity=\"100\" opacity_hover=\"100\"][\/vc_column][vc_column width=\"7\/12\" offset=\"vc_col-md-8\"][g5element_space spacing=\"\" spacing_sm=\"30\"][g5element_heading title=\"Elefont Office\" description=\"We have been partners since 1999. Our mission is to satisfy our clients\u2019 needs and deliver the works to our customers beyond their expectations.\" tag_html=\"4\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22accent%22%7D\" el_class=\"heading-client-logo\"][\/vc_column][\/vc_row][vc_row content_placement=\"middle\"][vc_column][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"client-logo"},{"name":"Client Logo 02","image_path":"client-logo-02","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570418654046{background-color: #f2f9ff !important;}\"][vc_column][g5element_space spacing=\"115\" spacing_md=\"65\"][g5element_slider_container slides_to_show=\"7\" columns_lg=\"6\" columns_md=\"5\" columns_sm=\"4\" columns_xs=\"2\" navigation_arrow=\"\" dots_navigation=\"\" el_class=\"client-logo-hover-bsd\"][g5element_client_logo image=\"3718\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3719\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3720\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3728\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3722\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3586\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3726\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3718\" opacity=\"70\" opacity_hover=\"100\"][\/g5element_slider_container][g5element_space spacing=\"100\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"client-logo"},{"name":"Client Logo 01","image_path":"client-logo-01","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"37\" spacing_md=\"17\"][g5element_slider_container slides_to_show=\"7\" columns_lg=\"6\" columns_md=\"5\" columns_sm=\"4\" columns_xs=\"2\" navigation_arrow=\"\" dots_navigation=\"\" el_class=\"client-logo-hover-bsd\"][g5element_client_logo image=\"3718\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3719\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3720\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3728\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3722\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3586\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3726\" opacity=\"70\" opacity_hover=\"100\"][g5element_client_logo image=\"3718\" opacity=\"70\" opacity_hover=\"100\"][\/g5element_slider_container][g5element_space spacing=\"95\" spacing_md=\"25\"][\/vc_column][\/vc_row]","custom_class":"client-logo"},{"name":"About Us 04","image_path":"about-us-04","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570419171792{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/counter-03.jpg?id=805) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Why traders choose us\" subtitle=\"Thallo Solutions\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"63\" spacing_md=\"43\"][g5element_heading title=\"Raw Spreads\" description=\"Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.\" switch_line_field=\"on\" line_separate_color=\"#ffffff\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2215%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" el_class=\"custom-gel-heading-separate\"][g5element_space spacing=\"28\"][g5element_heading title=\"No Dealing Desk\" description=\"With Consulting WP you\u2019ll get no re-quotes, no dealer intervention and fair order execution.\" switch_line_field=\"on\" line_separate_color=\"#ffffff\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2215%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" el_class=\"custom-gel-heading-separate\"][g5element_space spacing=\"28\"][g5element_heading title=\"State of the Art\" description=\"Trade Forex and CFDs with the world\u2019s best trading platforms on your desktop or mobile device.\" switch_line_field=\"on\" line_separate_color=\"#ffffff\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2215%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" el_class=\"custom-gel-heading-separate\"][g5element_space spacing=\"\" spacing_md=\"70\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Frequently asked questions\" subtitle=\"Thallo Help\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"63\" spacing_md=\"43\"][vc_tta_accordion style=\"underline\" active_section=\"1\" el_class=\"custom-accordion white-text-color\"][vc_tta_section title=\"What does Consulting WP do?\" tab_id=\"1570418935067-b7be4e12-4976\"][vc_column_text]We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily regulated.<br \/>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"What industries do you specialize in?\" tab_id=\"1570418935078-e0176d69-3e7c\"][vc_column_text]We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily regulated.<br \/>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Can you help us raise money?\" tab_id=\"1570418974192-4d24b77a-1e90\"][vc_column_text]We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily regulated.<br \/>\n[\/vc_column_text][\/vc_tta_section][\/vc_tta_accordion][\/vc_column][vc_column][g5element_space spacing=\"124\" spacing_md=\"24\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"accordion"},{"name":"Why Choose Us 01","image_path":"why-choose-us-01","content":"[vc_row][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading title=\"Doing the right thing at the right time\" subtitle=\"WHY CHOOSE US\" limit_width=\"350\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][\/vc_column][vc_column offset=\"vc_col-lg-8 vc_col-md-7\"][g5element_space spacing=\"69\" spacing_md=\"49\"][vc_single_image image=\"783\" img_size=\"547x502\" el_class=\"text-center-md\"][\/vc_column][vc_column offset=\"vc_col-lg-4 vc_col-md-5\" el_class=\"custom-icon-box-hover\"][g5element_space spacing=\"27\" spacing_md=\"25\"][g5element_icon_box icon_font=\"\" title=\"Why our consulting\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" button_color=\"\"]We are a full service business development group \u2013 we build strategies and systems.[\/g5element_icon_box][g5element_icon_box icon_font=\"\" title=\"Global consumer insights\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" button_color=\"\" el_class=\"gel-icon-box-active\"]This year\'s survey shows that shoppers share behavioural and attitudinal attributes[\/g5element_icon_box][g5element_icon_box icon_font=\"\" title=\"Thought Leadership\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" button_color=\"\"]A thought leader is an individual or firm that is recognized as an authority[\/g5element_icon_box][\/vc_column][vc_column][g5element_space spacing=\"95\" spacing_md=\"45\"][\/vc_column][\/vc_row]","custom_class":"icon-box"},{"name":"Contact Info 02","image_path":"contact-info-02","content":"<p>[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"73\" spacing_md=\"53\"][g5element_heading title=\"Contact info\" tag_html=\"5\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"29\"][\/vc_column][vc_column width=\"1\/3\" el_class=\"custom-border-none\"][g5element_heading title=\"United Kingdom\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text css=\".vc_custom_1570262487100{margin-bottom: 0px !important;}\"]<\/p>\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\n<p>Business@moontheme.net[\/vc_column_text][g5element_space spacing=\"\" spacing_sm=\"38\"][\/vc_column][vc_column width=\"1\/3\" el_class=\"custom-border-none\"][g5element_heading title=\"Germany\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text css=\".vc_custom_1570262501669{margin-bottom: 0px !important;}\"]<\/p>\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\n<p>Business@moontheme.net[\/vc_column_text][g5element_space spacing=\"\" spacing_sm=\"38\"][\/vc_column][vc_column width=\"1\/3\"][g5element_heading title=\"Australia\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text css=\".vc_custom_1570262517562{margin-bottom: 0px !important;}\"]<\/p>\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\n<p>Business@moontheme.net[\/vc_column_text][\/vc_column][vc_column][g5element_space spacing=\"70\" spacing_md=\"50\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"other"},{"name":"Faq","image_path":"faq","content":"[vc_row full_width=\"stretch_row\" el_class=\"faq-active-bg-blue\"][vc_column][g5element_space spacing=\"80\" spacing_md=\"60\"][vc_toggle title=\"What does Thallo WP do?\" style=\"round_outline\" open=\"true\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"What industries do you specialize in?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"What industries do you specialize in?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"What industries do you specialize in?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"What industries do you specialize in?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"What industries do you specialize in?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][vc_toggle title=\"Can you help us raise money?\" style=\"round_outline\"]We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.[\/vc_toggle][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"faq"},{"name":"Strategic & Tactical Planning","image_path":"strategic-tactical-planning","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column offset=\"vc_col-lg-5 vc_col-md-6\"][g5element_space spacing=\"65\" spacing_md=\"45\"][g5element_heading title=\"Strategic &amp; tactical planning\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"30\"][vc_column_text css=\".vc_custom_1569982939704{margin-bottom: 15px !important;}\"]Our clients are often surprised by the possibilities we present to them; by thinking outside the box we present exciting new ventures:[\/vc_column_text][g5element_list values=\"%5B%7B%22items%22%3A%22Work%20fewer%20hours%20%26%20make%20money%22%7D%2C%7B%22items%22%3A%22Attract%20and%20retain%20quality%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22Retain%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22You%E2%80%99ll%20get%20more%20done%20in%20less%20time%22%7D%2C%7B%22items%22%3A%22Cut%20expenses%20without%20sacrificing%20quality%22%7D%2C%7B%22items%22%3A%22Automate%20your%20business%2C%20so%20you%20can%20leave%20for%20days%2C%22%7D%5D\" el_class=\"gel-list-sm\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-md-6\"][g5element_space spacing=\"65\"][g5element_heading title=\"Research beyond the business plan\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"35\"][vc_tta_accordion style=\"underline\" c_position=\"right\" active_section=\"1\" el_class=\"custom-accordion accordion-background\"][vc_tta_section title=\"Client Prospecting\" tab_id=\"1570250370004-4d34e24b-57dd15702504126671570260749637\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Web Site Research\" tab_id=\"1570250370020-e2d85007-d41115702504126671570260749637\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Grant &amp; Funding Research\" tab_id=\"1570250370037-eef88f3b-6f2515702504126671570260749637\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][\/vc_tta_accordion][\/vc_column][vc_column][g5element_space spacing=\"108\" spacing_md=\"58\"][\/vc_column][\/vc_row]","custom_class":"accordion"},{"name":"Research Beyond The Business Plan","image_path":"research-beyond-the-business-plan","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column el_class=\"faq-active-bg-blue\"][g5element_space spacing=\"65\" spacing_md=\"45\"][g5element_heading title=\"Research beyond the business plan\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"35\"][vc_tta_accordion style=\"underline\" c_position=\"right\" active_section=\"1\" el_class=\"custom-accordion accordion-background\"][vc_tta_section title=\"Client Prospecting\" tab_id=\"1570000598186-3f7d882c-f02115700090767051570260251877\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Web Site Research\" tab_id=\"1570000598212-da139ecd-484b15700090767051570260251877\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Grant &amp; Funding Research\" tab_id=\"1570000873035-75efaa09-a1c415700090767051570260251877\"][vc_column_text]\n<p style=\"font-size: 15px;\">We also ensure that the whole team is included in the process and that no one is left out during the turnaround. The most crucial part is ensuring some degree of financial stability during the turnaround.<\/p>\n[\/vc_column_text][\/vc_tta_section][\/vc_tta_accordion][g5element_space spacing=\"48\" spacing_md=\"28\"][\/vc_column][\/vc_row]","custom_class":"accordion"},{"name":"Contact Info 01","image_path":"contact-info-01","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][\/vc_column][vc_column width=\"1\/3\" css=\".vc_custom_1570261686347{border-right-width: 1px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;}\" el_class=\"custom-border-none\"][g5element_heading layout_style=\"style-02\" title=\"United Kingdom\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text el_class=\"text-center lg-pd-left-right-0\" css=\".vc_custom_1570703082044{margin-bottom: 10px !important;padding-right: 37px !important;padding-left: 37px !important;}\"]\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\nBusiness@g5theme[\/vc_column_text][g5element_space spacing=\"\" spacing_sm=\"38\"][\/vc_column][vc_column width=\"1\/3\" css=\".vc_custom_1570261690775{border-right-width: 1px !important;border-right-color: #ebebeb !important;border-right-style: solid !important;}\" el_class=\"custom-border-none\"][g5element_heading layout_style=\"style-02\" title=\"Germany\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text el_class=\"text-center lg-pd-left-right-0\" css=\".vc_custom_1570703073486{margin-bottom: 10px !important;padding-right: 37px !important;padding-left: 37px !important;}\"]\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\nBusiness@g5theme[\/vc_column_text][g5element_space spacing=\"\" spacing_sm=\"38\"][\/vc_column][vc_column width=\"1\/3\"][g5element_heading layout_style=\"style-02\" title=\"Australia\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"17\"][vc_column_text el_class=\"text-center lg-pd-left-right-0\" css=\".vc_custom_1570703089934{margin-bottom: 10px !important;padding-right: 37px !important;padding-left: 37px !important;}\"]\n<p style=\"margin-bottom: 10px;\">1010 Avenue of the Moon New York, NY 10018 US.<\/p>\n<p style=\"margin-bottom: 10px;\">+032 3456 7890<\/p>\nBusiness@g5theme[\/vc_column_text][\/vc_column][vc_column][g5element_space spacing=\"130\" spacing_md=\"62\"][\/vc_column][\/vc_row]","custom_class":"other"},{"name":"About Us 13","image_path":"about-us-13","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570258696648{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"50\" spacing_md=\"78\"][\/vc_column][vc_column width=\"1\/2\" el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570259083971{margin-left: -145px !important;}\"][vc_single_image image=\"783\" img_size=\"full\"][g5element_space spacing=\"\" spacing_md=\"35\"][\/vc_column][vc_column width=\"1\/2\" el_class=\"lg-col-pd-left-15\" css=\".vc_custom_1570258678427{padding-left: 85px !important;}\"][g5element_heading title=\"All-in-One Web Solution for Your Business\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"26\"][g5element_list color_list_type=\"#000000\" item_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Different%20Demos%20with%20Real%20Content%22%7D%2C%7B%22items%22%3A%22Advanced%20Portfolio%20with%20Case%20Studies%22%7D%2C%7B%22items%22%3A%2224%2F7%20Support%20with%20Live%20Chat%22%7D%5D\"][\/vc_column][vc_column][g5element_space spacing=\"65\" spacing_lg=\"50\" spacing_md=\"76\"][\/vc_column][\/vc_row]","custom_class":"other"},{"name":"About Us 05","image_path":"about-us-05","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"75\"][\/vc_column][vc_column el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\" css=\".vc_custom_1570259357242{margin-left: 15px !important;padding-right: 0px !important;padding-left: 0px !important;}\" offset=\"vc_col-lg-5 vc_col-md-6\"][g5element_heading title=\"Why traders choose us\" subtitle=\"THALLO SOLUTIONS\"][g5element_space spacing=\"68\" spacing_md=\"48\"][g5element_image_box layout_style=\"style-04\" icon_image=\"948\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Financial Planning\" link=\"url:%23|||\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][g5element_space spacing=\"38\"][g5element_image_box layout_style=\"style-04\" icon_image=\"949\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"No Dealing Desk\" link=\"url:%23|||\"]With Consulting WP you\u2019ll get no re-quotes, no dealer intervention and fair order execution.[\/g5element_image_box][g5element_space spacing=\"38\"][g5element_image_box layout_style=\"style-04\" icon_image=\"950\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Expert Consultance\" link=\"url:%23|||\"]Trade Forex and CFDs with the world\u2019s best trading platforms on your desktop or mobile device.[\/g5element_image_box][g5element_space spacing=\"\" spacing_md=\"68\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-md-6\"][g5element_heading title=\"Strategy Development\" subtitle=\"BEST CONSULTANT\"][g5element_space spacing=\"68\" spacing_md=\"48\"][vc_tta_accordion style=\"underline\" c_position=\"right\" active_section=\"1\" el_class=\"custom-accordion accordion-box-shadown\"][vc_tta_section title=\"Strategy Development\" tab_id=\"1570000598186-3f7d882c-f021157000907670515700097846021570250381426\"][vc_column_text]\n\nPodcasting operational change management inside of workflows to establish a framework. Taking seamless key performance indicators offline to maximise the long tail\n\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Strategic Plan Development\" tab_id=\"1570000598212-da139ecd-484b157000907670515700097846021570250381426\"][vc_column_text]\n\nPodcasting operational change management inside of workflows to establish a framework. Taking seamless key performance indicators offline to maximise the long tail\n\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Strategic Plan Execution Management\" tab_id=\"1570000873035-75efaa09-a1c4157000907670515700097846021570250381426\"][vc_column_text]\n\nPodcasting operational change management inside of workflows to establish a framework. Taking seamless key performance indicators offline to maximise the long tail\n\n[\/vc_column_text][\/vc_tta_section][\/vc_tta_accordion][\/vc_column][vc_column][g5element_space spacing=\"123\" spacing_md=\"58\"][\/vc_column][\/vc_row]","custom_class":"accordion"},{"name":"About Us 08","image_path":"about-us-08","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570249259134{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/bg-other-01.jpg?id=1398) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"195\" spacing_md=\"70\"][g5element_heading layout_style=\"style-02\" title=\"Building Strategies for Your Financial Future\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" limit_width=\"540\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"54\"][g5element_button title=\"About US\" shape=\"round\" color=\"#ffffff\" size=\"xl\" align=\"center\" button_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2212%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" padding_top_bottom=\"4\" padding_left_right=\"83\"][g5element_space spacing=\"200\" spacing_md=\"80\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"other"},{"name":"About Us 07","image_path":"about-us-07","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570247398679{background-color: #4b2bb0 !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"64\" spacing_lg=\"124\" spacing_md=\"80\"][\/vc_column][vc_column el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570247650575{margin-left: -270px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][vc_single_image image=\"1362\" img_size=\"full\"][g5element_space spacing=\"\" spacing_md=\"44\"][\/vc_column][vc_column el_class=\"lg-col-pd-left-15\" css=\".vc_custom_1570247789840{padding-left: 85px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"To help entrepreneurs get their act together before they talk to investors.\" subtitle=\"Values\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"25\"][g5element_list color_list_type=\"#ffffff\" item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Commitments%20(Integrity%2C%20Performance%20and%20Excellence)%22%7D%5D\"][g5element_space spacing=\"11\"][vc_column_text css=\".vc_custom_1570246886448{margin-bottom: 29px !important;padding-left: 30px !important;}\"]\n<p style=\"color: #c2c2c2;\">Integrity: trust is at the foundation of our relationships with our customers and our suppliers<\/p>\n[\/vc_column_text][g5element_list color_list_type=\"#ffffff\" item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Quality%20and%20value%20of%20services%22%7D%5D\"][g5element_space spacing=\"11\"][vc_column_text css=\".vc_custom_1570246943903{margin-bottom: 29px !important;padding-left: 30px !important;}\"]\n<p style=\"color: #c2c2c2;\">We bring value through quality of our services and our competitively priced products<\/p>\n[\/vc_column_text][\/vc_column][vc_column][g5element_space spacing=\"50\" spacing_lg=\"93\" spacing_md=\"45\"][\/vc_column][\/vc_row]","custom_class":"other"},{"name":"Get A Quote 01","image_path":"get-a-quote-01","content":"<p>[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570245534673{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/counter-03.jpg?id=805) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"169\" spacing_md=\"69\"][g5element_heading layout_style=\"style-02\" title=\"We look forward to doing great things with you<br \/>\nanywhere in the world.\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" limit_width=\"540\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"54\"][g5element_button title=\"GET A QUOTE\" shape=\"round\" color=\"#ffffff\" size=\"xl\" align=\"center\" button_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2212%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" padding_top_bottom=\"4\" padding_left_right=\"59\"][g5element_space spacing=\"180\" spacing_md=\"80\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"other"},{"name":"About Us 03","image_path":"about-us-03","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570242469884{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"59\" spacing_lg=\"113\" spacing_md=\"80\"][\/vc_column][vc_column el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570243792206{margin-left: -205px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][vc_single_image image=\"1319\" img_size=\"full\"][g5element_space spacing=\"\" spacing_md=\"30\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\" el_class=\"lg-col-pd-left-15\" css=\".vc_custom_1570243895206{padding-left: 85px !important;}\"][vc_column_text]\n<h2 class=\"font-primary\" style=\"line-height: 1.3;\"><span class=\"accent-text-color\">To help entrepreneurs get their act together<\/span>\nbefore they talk to investors.<\/h2>\nVestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh[\/vc_column_text][g5element_space spacing=\"16\" spacing_md=\"0\"][g5element_button title=\"All services\" shape=\"round\" size=\"xl\" button_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2212%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\" padding_top_bottom=\"4\" padding_left_right=\"60\"][\/vc_column][vc_column][g5element_space spacing=\"71\" spacing_lg=\"121\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"other"},{"name":"Meet The Team 02","image_path":"meet-the-team-02","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Meet the Team\" subtitle=\"OUR TEAM\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing=\"35\" spacing_md=\"15\"][g5element_slider_container slides_to_show=\"4\" columns_md=\"3\" columns_sm=\"2\" columns_xs=\"1\" dots_navigation=\"\" margin_item=\"30\" el_class=\"custom-slick-arrows-our-team\"][g5element_our_team name=\"Jont kook\" job=\"Founder &amp; CEO\" description=\"\" avatar=\"2204\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_our_team name=\"Clark Roberts\" job=\"Chief Finance Officer\" description=\"\" avatar=\"2205\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_our_team name=\"Ashley Hardy\" job=\"VP Sales and Marketing\" description=\"\" avatar=\"2206\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_our_team name=\"Dennis Norris\" job=\"Chief Marketing Officer\" description=\"\" avatar=\"2207\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][g5element_our_team name=\"Jont kook\" job=\"Founder &amp; CEO\" description=\"\" avatar=\"2208\" our_team_link=\"url:%23|||\" socials=\"%5B%7B%22social_icons%22%3A%22social-facebook%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-twitter%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-skype%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%2C%7B%22social_icons%22%3A%22social-instagram%22%2C%22social_link%22%3A%22url%3A%2523%7C%7C%7C%22%7D%5D\"][\/g5element_slider_container][g5element_space spacing=\"102\" spacing_md=\"52\"][\/vc_column][\/vc_row]","custom_class":"our-team"},{"name":"About Us 01","image_path":"about-us-01","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570242469884{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"52\" spacing_lg=\"118\" spacing_md=\"69\"][\/vc_column][vc_column el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570242903087{padding-right: 90px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][vc_column_text]\n<h2 class=\"font-primary\" style=\"line-height: 1.3;\">To help entrepreneurs get their act together\n<span class=\"accent-text-color\">before they talk to investors.<\/span><\/h2>\nVestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh[\/vc_column_text][g5element_space spacing=\"16\" spacing_md=\"0\"][g5element_button title=\"CONTACT US\" shape=\"round\" size=\"xl\" button_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2212%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\" padding_top_bottom=\"4\" padding_left_right=\"75\"][\/vc_column][vc_column el_class=\"lg-col-mg-right-0\" css=\".vc_custom_1570242911413{margin-right: -220px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_space spacing=\"\" spacing_md=\"80\"][vc_single_image image=\"623\" img_size=\"full\" alignment=\"right\"][\/vc_column][vc_column][g5element_space spacing=\"62\" spacing_lg=\"130\" spacing_md=\"47\"][\/vc_column][\/vc_row]","custom_class":"other"},{"name":"Get A Quote 09","image_path":"get-a-quote-09","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570241307788{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][\/vc_column][vc_column el_class=\"bg-white-input\" offset=\"vc_col-lg-5 vc_col-md-6\"][g5element_heading title=\"Request a call back\" subtitle=\"GET A QUOTE\"][g5element_space spacing=\"62\" spacing_md=\"42\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][\/vc_column][vc_column offset=\"vc_col-lg-7 vc_col-md-6\"][g5element_space spacing=\"133\" spacing_md=\"45\"][vc_single_image image=\"630\" img_size=\"full\" alignment=\"right\" el_class=\"text-center-md\"][\/vc_column][vc_column][g5element_space spacing=\"65\" spacing_lg=\"115\" spacing_md=\"45\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Get In Touch","image_path":"get-in-touch","content":"[vc_row][vc_column][g5element_space spacing=\"75\" spacing_md=\"55\"][g5element_heading title=\"Get in touch\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"348\"][g5element_space spacing=\"65\" spacing_md=\"45\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Send Us A Message","image_path":"send-us-a-message","content":"[vc_row][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Get in touch with us\" subtitle=\"SEND US A MESSAGE\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing_md=\"40\"][contact-form-7 id=\"346\"][g5element_space spacing=\"115\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Get A Quote 05","image_path":"get-a-quote-05","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\"][g5element_heading title=\"Request a call back\" subtitle=\"GET A QUOTE\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"62\" spacing_md=\"42\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-md-6\"][g5element_space spacing=\"104\" spacing_md=\"64\"][vc_single_image image=\"1154\" img_size=\"full\" alignment=\"right\" el_class=\"text-center-md\"][\/vc_column][vc_column][g5element_space spacing=\"88\" spacing_md=\"38\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Get A Quote 02","image_path":"get-a-quote-02","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570237408930{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column el_class=\"bg-white-input\"][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Let\u2019s Get Started!\" subtitle=\"GET A QUOTE\" description=\"We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital.\" limit_width=\"580\"][g5element_space spacing_md=\"40\"][contact-form-7 id=\"347\"][g5element_space spacing=\"114\" spacing_md=\"60\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Our Experience","image_path":"our-experience","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570239841253{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"55\" spacing_lg=\"119\" spacing_md=\"68\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Our experience\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" limit_width=\"480\"][g5element_space spacing=\"72\" spacing_md=\"52\"][vc_row_inner el_class=\"text-center custom-chart-size-130\"][vc_column_inner width=\"1\/3\"][vc_round_chart style=\"custom\" stroke_width=\"0\" legend=\"\" tooltips=\"\" values=\"%5B%7B%22title%22%3A%22One%22%2C%22value%22%3A%2270%22%2C%22color%22%3A%22blue%22%2C%22custom_color%22%3A%22%235e29c4%22%7D%2C%7B%22title%22%3A%22Two%22%2C%22value%22%3A%2230%22%2C%22color%22%3A%22white%22%2C%22custom_color%22%3A%22%23f2f9ff%22%7D%5D\" css=\".vc_custom_1570700889824{margin-bottom: -3px !important;}\"][g5element_counter start_value=\"0\" end_value=\"70\" decimals=\"0\" durations=\"0\" suffix=\"%\" el_class=\"custom-gel-counter\"][g5element_heading layout_style=\"style-02\" title=\"Financial services\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"50\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][vc_round_chart style=\"custom\" stroke_width=\"0\" legend=\"\" tooltips=\"\" values=\"%5B%7B%22title%22%3A%22One%22%2C%22value%22%3A%2286%22%2C%22color%22%3A%22blue%22%2C%22custom_color%22%3A%22%235e29c4%22%7D%2C%7B%22title%22%3A%22Two%22%2C%22value%22%3A%2214%22%2C%22color%22%3A%22white%22%2C%22custom_color%22%3A%22%23f2f9ff%22%7D%5D\" css=\".vc_custom_1570701960992{margin-bottom: -3px !important;}\"][g5element_counter start_value=\"0\" end_value=\"86\" decimals=\"0\" durations=\"0\" suffix=\"%\" el_class=\"custom-gel-counter\"][g5element_heading layout_style=\"style-02\" title=\"Business services\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"50\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][vc_round_chart style=\"custom\" stroke_width=\"0\" legend=\"\" tooltips=\"\" values=\"%5B%7B%22title%22%3A%22One%22%2C%22value%22%3A%2260%22%2C%22color%22%3A%22blue%22%2C%22custom_color%22%3A%22%235e29c4%22%7D%2C%7B%22title%22%3A%22Two%22%2C%22value%22%3A%2240%22%2C%22color%22%3A%22white%22%2C%22custom_color%22%3A%22%23f2f9ff%22%7D%5D\" css=\".vc_custom_1570701975901{margin-bottom: -3px !important;}\"][g5element_counter start_value=\"0\" end_value=\"60\" decimals=\"0\" durations=\"0\" suffix=\"%\" el_class=\"custom-gel-counter\"][g5element_heading layout_style=\"style-02\" title=\"Consumer products\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"50\"][\/vc_column_inner][\/vc_row_inner][\/vc_column][vc_column el_class=\"lg-col-mg-right-0\" css=\".vc_custom_1570239807848{margin-right: -195px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_space spacing=\"\" spacing_md=\"56\"][vc_single_image image=\"1225\" img_size=\"full\" alignment=\"right\"][\/vc_column][vc_column][g5element_space spacing=\"99\" spacing_lg=\"130\" spacing_md=\"44\"][\/vc_column][\/vc_row]","custom_class":"charts"},{"name":"Contact Us 03","image_path":"contact-us-03","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570586784663{background-color: #f2f9ff !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Request a call back\" subtitle=\"GET A QUOTE\"][g5element_space spacing=\"57\" spacing_md=\"50\"][\/vc_column][vc_column width=\"7\/12\"][vc_single_image image=\"630\" img_size=\"full\" el_class=\"text-center-md\"][\/vc_column][vc_column el_class=\"bg-white-input\" offset=\"vc_col-md-5\"][g5element_space spacing=\"6\" spacing_md=\"40\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][\/vc_column][vc_column][g5element_space spacing=\"65\" spacing_lg=\"95\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Business Planning & Strategy","image_path":"business-planning-strategy","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"61\" spacing_md=\"41\"][\/vc_column][vc_column width=\"1\/2\"][g5element_heading title=\"Financial Services Consulting\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"34\"][vc_round_chart type=\"doughnut\" stroke_width=\"0\" values=\"%5B%7B%22title%22%3A%22One%22%2C%22value%22%3A%2233.3%22%2C%22color%22%3A%22blue%22%7D%2C%7B%22title%22%3A%22Three%22%2C%22value%22%3A%2233.3%22%2C%22color%22%3A%22juicy-pink%22%7D%2C%7B%22title%22%3A%22Two%22%2C%22value%22%3A%2233.3%22%2C%22color%22%3A%22turquoise%22%7D%5D\" css=\".vc_custom_1569918409298{margin-bottom: 15px !important;}\"][vc_column_text]You can transform your business to a revenuen producing asset that lets you work as much\n<div id=\"gtx-trans\" style=\"position: absolute; left: 267px; top: 0px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/vc_column_text][g5element_space spacing=\"\" spacing_md=\"9\"][\/vc_column][vc_column width=\"1\/2\"][g5element_heading title=\"Business planning &amp; strategy\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"28\"][vc_column_text css=\".vc_custom_1569917665352{margin-bottom: 18px !important;}\"]Our clients are often surprised by the possibilities we present to them; by thinking outside the box we present exciting new ventures:[\/vc_column_text][g5element_list values=\"%5B%7B%22items%22%3A%22Work%20fewer%20hours%20%26%20make%20money%22%7D%2C%7B%22items%22%3A%22Attract%20and%20retain%20quality%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22Retain%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22You%E2%80%99ll%20get%20more%20done%20in%20less%20time%22%7D%2C%7B%22items%22%3A%22Cut%20expenses%20without%20sacrificing%20quality%22%7D%2C%7B%22items%22%3A%22Automate%20your%20business%2C%20so%20you%20can%20leave%20for%20days%2C%22%7D%5D\" el_class=\"gel-list-sm\"][\/vc_column][vc_column][g5element_space spacing=\"86\" spacing_md=\"73\"][\/vc_column][\/vc_row]","custom_class":"charts"},{"name":"Contact Us 02","image_path":"contact-us-02","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570585936914{background-color: #4b2bb0 !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Request a call back\" subtitle=\"GET A QUOTE\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"35\"][\/vc_column][vc_column el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\" css=\".vc_custom_1570183724713{margin-left: 15px !important;padding-right: 0px !important;padding-left: 0px !important;}\" offset=\"vc_col-md-6\"][vc_single_image image=\"1154\" img_size=\"500x445\" el_class=\"text-center-md\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-md-5\" el_class=\"white-text-color\"][g5element_space spacing=\"30\" spacing_md=\"35\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][\/vc_column][vc_column][g5element_space spacing=\"45\" spacing_lg=\"71\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Contact Us 01","image_path":"contact-us-01","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570181680309{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/counter-03.jpg?id=805) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][\/vc_column][vc_column offset=\"vc_col-md-6\"][g5element_heading title=\"Contact Us\" subtitle=\"INFO CONTACT\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"57\" spacing_md=\"37\"][vc_row_inner][vc_column_inner width=\"1\/2\" offset=\"vc_col-md-12\"][g5element_heading title=\"United Kingdom\" description=\"1010 Avenue of the Moon New York, NY 10018 US.\n+032 3456 7890\nBusiness@moontheme.net\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%222%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"40\" spacing_md=\"20\"][\/vc_column_inner][vc_column_inner width=\"1\/2\" offset=\"vc_col-md-12\"][g5element_heading title=\"Germany\" description=\"1010 Avenue of the Moon New York, NY 10018 US.\n+032 3456 7890\nBusiness@moontheme.net\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%222%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"40\" spacing_md=\"70\"][\/vc_column_inner][\/vc_row_inner][\/vc_column][vc_column el_class=\"white-text-color\" offset=\"vc_col-md-6\"][g5element_heading title=\"Get in touch\" subtitle=\"CONNNECT WITH THALLO\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"55\" spacing_md=\"35\"][contact-form-7 id=\"345\"][g5element_space spacing=\"115\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Pricing Table 01","image_path":"pricing-table-01","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading title=\"Our great price\" subtitle=\"Procing table\" icon_type=\"image\" icon_size=\"large\" icon_mg_top=\"10\" image=\"989\" css=\".vc_custom_1570590483178{margin-bottom: 20px !important;}\"][g5element_space spacing=\"33\" spacing_md=\"13\"][g5element_slider_container slides_to_show=\"3\" columns_md=\"2\" columns_xs=\"1\" navigation_arrow=\"\" dots_navigation=\"\" margin_item=\"30\" el_class=\"custom-pricing-btn\"][g5element_pricing_table layout_style=\"style-4\" image=\"1120\" name=\"Simple plan\" price=\"70\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_shape=\"round\" el_class=\"gel-pricing-line custom-pricing-btn-gradient\" background=\"#ffffff\"][g5element_pricing_table layout_style=\"style-4\" image=\"1121\" name=\"Advanced plan\" price=\"170\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_shape=\"round\" el_class=\"gel-pricing-line\" background=\"#ffffff\"][g5element_pricing_table layout_style=\"style-4\" image=\"1122\" name=\"Powerful\" price=\"290\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_shape=\"round\" el_class=\"gel-pricing-line\" background=\"#ffffff\"][\/g5element_slider_container][g5element_space spacing=\"112\" spacing_md=\"62\"][\/vc_column][\/vc_row]","custom_class":"pricing-table"},{"name":"Testimonials 08","image_path":"testimonials-08","content":"[vc_row][vc_column][g5element_space spacing=\"120\" spacing_md=\"70\"][g5element_heading title=\"Clients\u2019 Reviews\"][g5element_space spacing=\"12\" spacing_md=\"0\"][g5element_slider_container slides_to_show=\"3\" columns_lg=\"2\" columns_sm=\"1\" navigation_arrow=\"\" dots_navigation=\"\" margin_item=\"96\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-sm\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"834\" img_size=\"img-size-sm\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"872\" img_size=\"img-size-sm\" author_name=\"Maria helen\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Per inceptos himenaeos. Suspendisse faucibus sed dolor eget posuere.Sed id interdum urna. Nam ac elit a ante commodo tristique.\u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-sm\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][\/g5element_slider_container][g5element_space spacing=\"112\" spacing_md=\"32\"][\/vc_column][\/vc_row]","custom_class":"testimonials"},{"name":"Request A Call Back","image_path":"request-a-call-back","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570178010803{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/bg-contac-form-01.jpg?id=1082) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\"][vc_column][g5element_space spacing=\"112\" spacing_md=\"75\"][g5element_heading title=\"We are always ahead\nProfessional Solutions for Your\" subtitle=\"REQUEST A CALL BACK\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"70\"][\/vc_column][vc_column width=\"1\/2\" css_animation=\"none\"][vc_single_image image=\"1154\" img_size=\"full\"][g5element_space spacing=\"55\" spacing_md=\"42\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-lg-offset-1 vc_col-lg-5\"][g5element_heading title=\"I would like to discuss:\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"20\"][contact-form-7 id=\"344\"][g5element_space spacing=\"64\"][\/vc_column][\/vc_row]","custom_class":"contact-form"},{"name":"Testimonials 07","image_path":"testimonials-07","content":"<p>[vc_row][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading title=\"Clients\u2019 Reviews\" subtitle=\"testimonials\"][g5element_space spacing=\"32\" spacing_md=\"12\"][g5element_slider_container slides_to_show=\"2\" columns_md=\"1\" navigation_arrow=\"\" margin_item=\"60\" el_class=\"custom-slick-dots-top-67\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"834\" img_size=\"img-size-lg\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"872\" img_size=\"img-size-lg\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"872\" img_size=\"img-size-lg\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][\/g5element_slider_container][g5element_space spacing=\"92\" spacing_lg=\"70\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"testimonials"},{"name":"Testimonials 06","image_path":"testimonials-06","content":"<p>[vc_row el_class=\"vc-col-no-pt\"][vc_column offset=\"vc_col-lg-offset-2 vc_col-lg-8 vc_col-md-offset-1 vc_col-md-10\"][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Clients\u2019 Reviews\" subtitle=\"testimonials\"][g5element_space spacing=\"53\" spacing_md=\"33\"][g5element_slider_container slides_to_show=\"1\" navigation_arrow=\"\"][g5element_testimonial layout_style=\"style-05\" rating=\"none\" align=\"center\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_testimonial layout_style=\"style-05\" rating=\"none\" align=\"center\" author_avatar=\"834\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_testimonial layout_style=\"style-05\" rating=\"none\" align=\"center\" author_avatar=\"872\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2220%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][\/g5element_slider_container][g5element_space spacing=\"121\" spacing_md=\"71\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"testimonials"},{"name":"Business Plan Market 02","image_path":"business-plan-market-02","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"34\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\" el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\" css=\".vc_custom_1570176949468{margin-left: 15px !important;padding-right: 0px !important;padding-left: 0px !important;}\"][g5element_heading title=\"Business plan market\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"30\"][vc_column_text css=\".vc_custom_1569982882546{margin-bottom: 15px !important;}\"]A strong business plan requires going beyond intuition and experience, and supporting your idea with fact-based market research. Investors need to have confidence in your understanding of the market, so don\u2019t let yourself down by skimping on research. We have access to fee-based, subscriber-only resources such as:[\/vc_column_text][g5element_list values=\"%5B%7B%22items%22%3A%22Work%20fewer%20hours%20%26%20make%20money%22%7D%2C%7B%22items%22%3A%22Attract%20and%20retain%20quality%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22Retain%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22You%E2%80%99ll%20get%20more%20done%20in%20less%20time%22%7D%2C%7B%22items%22%3A%22Cut%20expenses%20without%20sacrificing%20quality%22%7D%2C%7B%22items%22%3A%22Automate%20your%20business%2C%20so%20you%20can%20leave%20for%20days%2C%22%7D%5D\" el_class=\"gel-list-sm\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-md-6\"][g5element_space spacing=\"57\" spacing_md=\"67\"][vc_line_chart type=\"line\" style=\"custom\" x_values=\"Mon; Tue; Wed; Thu; Fri; Sat; Sun\" values=\"%5B%7B%22title%22%3A%22One%22%2C%22y_values%22%3A%2210%3B%2015%3B%2020%3B%2025%3B%2027%3B%2025%3B%2023%22%2C%22color%22%3A%22blue%22%2C%22custom_color%22%3A%22%23ed145b%22%7D%2C%7B%22title%22%3A%22Two%22%2C%22y_values%22%3A%2225%3B%2018%3B%2016%3B%2017%3B%2020%3B%2025%3B%2030%22%2C%22color%22%3A%22pink%22%2C%22custom_color%22%3A%22%236e45e2%22%7D%5D\" animation=\"easeOutBounce\"][\/vc_column][vc_column][g5element_space spacing=\"23\" spacing_md=\"13\"][\/vc_column][\/vc_row]","custom_class":"charts"},{"name":"Business Plan Market","image_path":"business-plan-market","content":"[vc_row][vc_column][g5element_space spacing=\"62\" spacing_md=\"42\"][g5element_heading title=\"Business plan market\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22800%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2222%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"30\"][vc_column_text css=\".vc_custom_1570175996552{margin-bottom: 15px !important;}\"]A strong business plan requires going beyond intuition and experience, and supporting your idea with fact-based market research. Investors need to have confidence in your understanding of the market, so don\u2019t let yourself down by skimping on research. We have access to fee-based, subscriber-only resources such as:[\/vc_column_text][g5element_list values=\"%5B%7B%22items%22%3A%22Work%20fewer%20hours%20%26%20make%20money%22%7D%2C%7B%22items%22%3A%22Attract%20and%20retain%20quality%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22Retain%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22You%E2%80%99ll%20get%20more%20done%20in%20less%20time%22%7D%2C%7B%22items%22%3A%22Cut%20expenses%20without%20sacrificing%20quality%22%7D%2C%7B%22items%22%3A%22Automate%20your%20business%2C%20so%20you%20can%20leave%20for%20days%2C%22%7D%5D\" el_class=\"gel-list-sm\"][g5element_space spacing=\"123\" spacing_md=\"73\"][\/vc_column][\/vc_row]","custom_class":"list"},{"name":"The Best Solutions 08","image_path":"the-best-solutions-08","content":"[vc_row equal_height=\"yes\"][vc_column][g5element_space spacing=\"65\" spacing_md=\"45\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"601\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\" link=\"url:%23|||\"]Company that offers design and build services for you from initial sketches to the final production.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"30\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Consulting\" link=\"url:%23|||\"]We consider all the drivers of change \u2013 from the ground up and we\u2019ll motivate and support you to make the change.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"30\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Consulting\" link=\"url:%23|||\"]We work buy-side and sell-side and give our clients hard-hitting and objective answers and focus hard on the best opportunities.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"30\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"741\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Energy and Environment Consulting\" link=\"url:%23|||\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"30\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"603\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Consulting\" link=\"url:%23|||\"]Design repeatable growth models and innovation pipelines that generate new products with higher potential and lower risks of failure.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"30\"][\/vc_column][vc_column width=\"1\/2\"][g5element_image_box layout_style=\"style-04\" icon_image=\"605\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\" link=\"url:%23|||\"]Scheduled transport operations, from broad market trends and strategy to the development of integrated commercial strategies.[\/g5element_image_box][g5element_space spacing=\"123\" spacing_md=\"73\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"About Us 09","image_path":"about-us-09","content":"[vc_row full_width=\"stretch_row\" css=\".vc_custom_1570175847460{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"110\" spacing_md=\"75\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Frequently asked questions\" subtitle=\"Thallo Help\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%234f4f6f%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"59\" spacing_md=\"39\"][vc_tta_accordion style=\"underline\" active_section=\"1\" el_class=\"custom-accordion\"][vc_tta_section title=\"What does Thallo WP do?\" tab_id=\"1570172825884-db3dc54d-bb3e\"][vc_column_text]\n<p style=\"font-size: 15px;\">We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"What industries do you specialize in?\" tab_id=\"1570172825898-048aef01-7764\"][vc_column_text]\n<p style=\"font-size: 15px;\">We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily<\/p>\n[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"Can you help us raise money?\" tab_id=\"1570172907188-f6315acd-cb83\"][vc_column_text]\n<p style=\"font-size: 15px;\">We help entrepreneurs get ready to raise capital. Please note that we cannot help our clients raise capital. This usually consists of some or all of our services. This is a service that is heavily<\/p>\n[\/vc_column_text][\/vc_tta_section][\/vc_tta_accordion][g5element_space spacing=\"0\" spacing_lg=\"0\" spacing_md=\"20\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Clients\u2019 Reviews\" subtitle=\"testimonials\" el_class=\"custom-subtitle-mb-25\"][g5element_space spacing=\"48\" spacing_md=\"28\"][g5element_slider_container slides_to_show=\"1\" dots_navigation=\"\" el_class=\"custom-slick-arrows-mt-22\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"834\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"872\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][\/g5element_slider_container][\/vc_column][vc_column][g5element_space spacing=\"100\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"testimonials"},{"name":"The Best Solutions 07","image_path":"the-best-solutions-07","content":"[vc_row full_width=\"stretch_row\" equal_height=\"yes\" el_class=\"image-box-hover-slide vc-col-no-pt\" css=\".vc_custom_1570172778915{background-color: #f2f9ff !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"80\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"601\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"30\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"30\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"603\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"30\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"30\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"607\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Partnership Ecosystem Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"30\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"605\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"125\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"The Best Solutions 06","image_path":"the-best-solutions-06","content":"[vc_row equal_height=\"yes\" el_class=\"custom-image-box-style-08 vc-col-no-pt\"][vc_column][g5element_space spacing=\"100\" spacing_md=\"80\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"873\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ffinancial-services-consulting%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"874\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Strategic planning\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fstrategic-planning%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"876\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Audit &amp; Assuracnce\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Faudit-assurance%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"877\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Trades &amp; Stocks\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ftrades-stocks%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"878\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Audit &amp; Assurance\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Faudit-assurance%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"881\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Bonds &amp; Commodities\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fbonds-commodities%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"880\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Turnaround Consulting\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fturnaround-consulting%2F|||\"][\/g5element_image_box][g5element_space spacing=\"50\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3\"][g5element_image_box layout_style=\"style-08\" icon_image=\"879\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Opportunities\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fbusiness-opportunities%2F|||\"][\/g5element_image_box][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Testimonials 05","image_path":"testimonials-05","content":"<p>[vc_row full_width=\"stretch_row\" equal_height=\"yes\" css=\".vc_custom_1570422447126{margin-right: 0px !important;margin-left: 0px !important;background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/bg-testimonials-03.jpg?id=976) !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"160\" spacing_md=\"80\"][\/vc_column][vc_column width=\"2\/3\" offset=\"vc_col-lg-offset-7 vc_col-lg-5 vc_col-md-offset-3 vc_col-md-6 vc_col-sm-offset-2 vc_col-xs-12\" css=\".vc_custom_1570422565850{margin-left: -13px !important;padding-top: 30px !important;background-color: rgba(255,255,255,0.85) !important;*background-color: rgb(255,255,255) !important;border-radius: 5px !important;}\" el_class=\"lg-col-mg-left-0\"][g5element_slider_container slides_to_show=\"1\" navigation_arrow=\"\" el_class=\"custom-slick-dots-mt-2 custom-testimonial-style-02\"][g5element_testimonial rating=\"none\" align=\"center\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh. Aliquam vulputate, tortor nec commodo ultricies, vitae viverra urna nulla sed turpis \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_testimonial rating=\"none\" align=\"center\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh. Aliquam vulputate, tortor nec commodo ultricies, vitae viverra urna nulla sed turpis \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_testimonial rating=\"none\" align=\"center\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh. Aliquam vulputate, tortor nec commodo ultricies, vitae viverra urna nulla sed turpis \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][\/g5element_slider_container][g5element_space spacing=\"36\"][\/vc_column][vc_column][g5element_space spacing=\"160\" spacing_md=\"80\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"testimonials"},{"name":"About Us 12","image_path":"about-us-12","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"97\" spacing_md=\"77\"][\/vc_column][vc_column el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\" css=\".vc_custom_1570163155846{margin-left: 15px !important;padding-right: 0px !important;padding-left: 0px !important;}\" offset=\"vc_col-lg-5 vc_col-md-6\"][g5element_heading title=\"Welcome to Thallo business\" subtitle=\"ABOUT US\"][g5element_space spacing=\"22\"][vc_column_text]Solving social problems requires leaders from foundations, businesses, nonprofits, and governments to reimagine the systems and relationships that shape our world. We strive for a deep understanding of how to create social change.\n\nIn 1990, ThalloWP combined with Inception Analysis, Incorporated to strengthen its expertise in energy matters and opened its first office in Cupertino. Since then, the company has expanded throughout the United States and Europe to more than 300 people.\n<div id=\"gtx-trans\" style=\"position: absolute; left: 126px; top: 102px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/vc_column_text][g5element_space spacing=\"0\" spacing_md=\"35\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-lg-5 vc_col-md-6\" el_class=\"lg-col-pd-left-right-15\" css=\".vc_custom_1570163386695{padding-right: 0px !important;padding-left: 0px !important;}\"][g5element_image_box layout_style=\"style-04\" icon_image=\"948\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Financial Planning\" link=\"url:%23|||\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][g5element_space spacing=\"40\"][g5element_image_box layout_style=\"style-04\" icon_image=\"949\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"No Dealing Desk\" link=\"url:%23|||\"]With Thallo WP you\u2019ll get no re-quotes, no dealer intervention and fair order execution.\n<div id=\"gtx-trans\" style=\"position: absolute; left: 30px; top: -26px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/g5element_image_box][g5element_space spacing=\"40\"][g5element_image_box layout_style=\"style-04\" icon_image=\"950\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Expert Consultance\" link=\"url:%23|||\"]Trade Forex and CFDs with the world\u2019s best trading platforms on your desktop or mobile device.[\/g5element_image_box][\/vc_column][vc_column][g5element_space spacing=\"87\" spacing_md=\"73\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Testimonials 04","image_path":"testimonials-04","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Clients\u2019 Reviews\" subtitle=\"testimonials\" description=\"Looking cautiously round, to ascertain that they were not overheard, the two hags cowered nearer to the fire, and chuckled heartily.\" limit_width=\"600\"][g5element_space spacing=\"48\" spacing_md=\"28\"][g5element_slider_container slides_to_show=\"3\" columns_lg=\"2\" columns_sm=\"1\" navigation_arrow=\"\" dots_navigation=\"\" margin_item=\"50\"][g5element_testimonial layout_style=\"style-01\" rating=\"none\" align=\"center\" author_avatar=\"381\" img_size=\"img-size-sm\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-01\" rating=\"none\" align=\"center\" author_avatar=\"834\" img_size=\"img-size-sm\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-01\" rating=\"none\" align=\"center\" author_avatar=\"872\" img_size=\"img-size-sm\" author_name=\"Maria helen\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Per inceptos himenaeos. Suspendisse faucibus sed dolor eget posuere.Sed id interdum urna. Nam ac elit a ante commodo tristique.\u201d\" author_link=\"\"][g5element_testimonial layout_style=\"style-01\" rating=\"none\" align=\"center\" author_avatar=\"381\" img_size=\"img-size-sm\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh \u201d\" author_link=\"\"][\/g5element_slider_container][g5element_space spacing=\"97\" spacing_md=\"47\"][\/vc_column][\/vc_row]","custom_class":"testimonials"},{"name":"Why Traders Choose Us","image_path":"why-traders-choose-us","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"119\" spacing_md=\"69\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\" css=\".vc_custom_1570177200779{margin-left: 15px !important;padding-right: 0px !important;padding-left: 0px !important;}\" el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\"][g5element_heading title=\"Why traders choose us\"][g5element_space spacing=\"62\" spacing_md=\"42\"][g5element_image_box layout_style=\"style-04\" icon_image=\"948\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Financial Planning\" link=\"url:%23|||\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][g5element_space spacing=\"40\"][g5element_image_box layout_style=\"style-04\" icon_image=\"949\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"No Dealing Desk\" link=\"url:%23|||\"]With Thallo WP you\u2019ll get no re-quotes, no dealer intervention and fair order execution.\n<div id=\"gtx-trans\" style=\"position: absolute; left: 104px; top: -26px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/g5element_image_box][g5element_space spacing=\"40\"][g5element_image_box layout_style=\"style-04\" icon_image=\"950\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Best Expert Consultance\" link=\"url:%23|||\"]Trade Forex and CFDs with the world\u2019s best trading platforms on your desktop or mobile device.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_md=\"60\"][\/vc_column][vc_column offset=\"vc_col-lg-offset-1 vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Our mission\"][g5element_space spacing=\"62\" spacing_md=\"42\"][vc_column_text]In 1990, ThalloWP combined with Inception Analysis, Incorporated to strengthen its expertise in energy matters and opened its first office in Cupertino. Since then, the company has expanded throughout the United States and Europe to more than 300 people.\n\nWe know our clients\u2019 brands inside and out to create bespoke campaigns that bring the brand story to life, engage with consumers\n<div id=\"gtx-trans\" style=\"position: absolute; left: 128px; top: 25px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/vc_column_text][g5element_list values=\"%5B%7B%22items%22%3A%22Work%20fewer%20hours%20%26%20make%20money%22%7D%2C%7B%22items%22%3A%22Phenomenal%20success%20in%20our%20target%22%7D%2C%7B%22items%22%3A%22Retain%2C%20high-paying%20customers%22%7D%2C%7B%22items%22%3A%22You%E2%80%99ll%20get%20more%20done%20in%20less%20time%22%7D%5D\"][g5element_space spacing=\"130\" spacing_md=\"75\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"The Best Solutions 05","image_path":"the-best-solutions-05","content":"[vc_row el_class=\"custom-image-box-style-08 vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading title=\"Awesome Services\" subtitle=\"THE BEST SOLUTIONS\" limit_width=\"520\"][g5element_space spacing=\"54\" spacing_md=\"34\"][g5element_slider_container slides_to_show=\"4\" columns_lg=\"3\" columns_md=\"3\" columns_sm=\"2\" columns_xs=\"1\" navigation_arrow=\"\" el_class=\"custom-slick-dots-top-100\"][g5element_image_box layout_style=\"style-08\" icon_image=\"873\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ffinancial-services-consulting%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"874\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Strategic planning\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fstrategic-planning%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"876\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Audit &amp; Assuracnce\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Faudit-assurance%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"877\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Trades &amp; Stocks\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ftrades-stocks%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"874\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Strategic planning\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fstrategic-planning%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"873\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ffinancial-services-consulting%2F|||\"][\/g5element_image_box][\/g5element_slider_container][g5element_space spacing=\"113\" spacing_md=\"68\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"The Best Solutions 04","image_path":"the-best-solutions-04","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column css=\".vc_custom_1570159076792{border-top-width: 1px !important;border-top-color: #ebebeb !important;border-top-style: solid !important;}\"][g5element_space spacing=\"47\" spacing_md=\"37\"][g5element_slider_container slides_to_show=\"3\" columns_lg=\"2\" columns_sm=\"1\" navigation_arrow=\"\"][g5element_image_box layout_style=\"style-04\" icon_image=\"912\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Raw Spreades\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" el_class=\"custom-image-box-04\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][g5element_image_box layout_style=\"style-04\" icon_image=\"913\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"No Dealing Desk\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" el_class=\"custom-image-box-04\"]With Thallo WP you\u2019ll get no re-quotes, no dealer intervention and fair order execution.\n\n[\/g5element_image_box][g5element_image_box layout_style=\"style-04\" icon_image=\"914\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"State of the Art\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\" el_class=\"custom-image-box-04\"]Trade Forex and CFDs with the world\u2019s best trading platforms on your desktop or mobile device.[\/g5element_image_box][\/g5element_slider_container][g5element_space spacing=\"102\" spacing_lg=\"115\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Testomonials 03","image_path":"testomonials-03","content":"[vc_section][vc_row full_width=\"stretch_row_content_no_spaces\" el_class=\"vc-col-no-pt\"][vc_column][vc_single_image image=\"906\" img_size=\"full\" css=\".vc_custom_1570159461431{margin-bottom: 0px !important;}\"][g5element_space spacing=\"\" spacing_md=\"78\"][\/vc_column][\/vc_row][vc_row css=\".vc_custom_1570616570003{margin-right: 0px !important;margin-left: 0px !important;background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt custom-testimonial-style-05\"][vc_column el_class=\"lg-col-pd-left-right-15 custom-border-images custom-testimonial-style-05 border-images-top\" css=\".vc_custom_1570527932686{padding-right: 25px !important;padding-left: 25px !important;}\"][g5element_space spacing=\"56\" spacing_md=\"36\"][g5element_slider_container slides_to_show=\"1\" dots_navigation=\"\" el_class=\"custom-slick-arrows-mt-49\"][g5element_testimonial layout_style=\"style-05\" rating=\"none\" align=\"center\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh. Aliquam vulputate, tortor nec commodo ultricies, vitae viverra urna nulla sed turpis \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_testimonial layout_style=\"style-05\" rating=\"none\" align=\"center\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"\u201c Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh. Aliquam vulputate, tortor nec commodo ultricies, vitae viverra urna nulla sed turpis \u201d\" author_link=\"\" content_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2218%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][\/g5element_slider_container][g5element_space spacing=\"80\" spacing_md=\"60\"][\/vc_column][\/vc_row][vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"355\" spacing_md=\"80\"][\/vc_column][\/vc_row][\/vc_section]","custom_class":"testimonials"},{"name":"Thallo Business 03","image_path":"thallo-business-03","content":"<p>[vc_row equal_height=\"yes\" el_class=\"image-box-hover-slide vc-col-no-pt image-box-border\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Thallo Industries\" subtitle=\"THALLO BUSINESS\"][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"601\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Thallo\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Thallo\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"603\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Thallo\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Thallo\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"607\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Partnership Ecosystem Thallo\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"605\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]<\/p>","custom_class":"image-box"},{"name":"Testomonials 02","image_path":"testomonials-02","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Clients\u2019 Reviews\" subtitle=\"testimonials\" description=\"Looking cautiously round, to ascertain that they were not overheard, the two hags cowered nearer to the fire, and chuckled heartily.\" limit_width=\"580\"][g5element_space spacing=\"10\" spacing_md=\"0\"][g5element_slider_container slides_to_show=\"3\" columns_lg=\"2\" columns_sm=\"1\" navigation_arrow=\"\" margin_item=\"110\" el_class=\"custom-testomonials-04\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-sm\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"`` Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh``\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"834\" img_size=\"img-size-sm\" author_name=\"DAvid Jame\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"`` Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh``\"][g5element_testimonial layout_style=\"style-04\" rating=\"none\" author_avatar=\"872\" img_size=\"img-size-sm\" author_name=\"Maria helen\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"`` Per inceptos himenaeos. Suspendisse faucibus sed dolor eget posuere.Sed id interdum urna. Nam ac elit a ante commodo tristique.``\"][\/g5element_slider_container][g5element_space spacing=\"70\" spacing_lg=\"120\" spacing_md=\"70\"][\/vc_column][\/vc_row]","custom_class":"testimonials"},{"name":"The Best Solutions 03","image_path":"the-best-solutions-03","content":"[vc_row el_class=\"custom-image-box-style-08 vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Awesome Services\" subtitle=\"THE BEST SOLUTIONS\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing=\"58\" spacing_md=\"38\"][g5element_slider_container slides_to_show=\"4\" columns_lg=\"3\" columns_md=\"3\" columns_sm=\"2\" columns_xs=\"1\" navigation_arrow=\"\"][g5element_image_box layout_style=\"style-08\" icon_image=\"873\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ffinancial-services-consulting%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"874\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Strategic planning\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fstrategic-planning%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"876\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Audit &amp; Assuracnce\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Faudit-assurance%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"877\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Trades &amp; Stocks\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Ftrades-stocks%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"874\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Strategic planning\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Fstrategic-planning%2F|||\"][\/g5element_image_box][g5element_image_box layout_style=\"style-08\" icon_image=\"876\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Audit &amp; Assuracnce\" link=\"url:https%3A%2F%2Fthallo.g5plus.net%2Fservices%2Faudit-assurance%2F|||\"][\/g5element_image_box][\/g5element_slider_container][g5element_space spacing=\"121\" spacing_md=\"71\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Testomonials 01","image_path":"testomonials-01","content":"<p>[vc_row css=\".vc_custom_1570520507604{border-bottom-width: 1px !important;border-bottom-color: #ebebeb !important;border-bottom-style: solid !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"73\"][g5element_heading title=\"Taciti sociosqu ad litora happy client\u2019s conubia nostra\" subtitle=\"testimonials\" limit_width=\"500\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"49\" spacing_md=\"29\"][g5element_slider_container slides_to_show=\"2\" columns_md=\"1\" dots_navigation=\"\" el_class=\"custom-slick-arrows-top-107 cusom-testimonial-mw-480\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" content_quote=\"on\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"834\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum\" content_quote=\"on\"][g5element_testimonial layout_style=\"style-06\" rating=\"none\" author_avatar=\"381\" img_size=\"img-size-lg\" author_name=\"Jont kook\" author_job=\"CEO lacinia faucibus risus\" author_bio=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh\" content_quote=\"on\"][\/g5element_slider_container][g5element_space spacing=\"58\" spacing_md=\"38\"][\/vc_column][\/vc_row]<\/p>\n","custom_class":"testimonials"},{"name":"About Us 11","image_path":"about-us-11","content":"[vc_row el_class=\"vc-col-no-pt\" css=\".vc_custom_1570523679993{margin-right: 0px !important;margin-left: 0px !important;}\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"68\"][\/vc_column][vc_column el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570523689343{padding-right: 60px !important;padding-left: 0px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"Welcome to Thallo business\" description=\"Above all, we believe that real change is possible and that tomorrow doesn\u2019t have to be like today.\" description_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"15\"][vc_column_text css=\".vc_custom_1570074028642{margin-bottom: 0px !important;}\"]Solving social problems requires leaders from foundations, businesses, nonprofits, and governments to reimagine the systems and relationships that shape our world. We strive for a deep understanding of how to create social change.[\/vc_column_text][g5element_space spacing=\"32\"][vc_text_separator title=\"\" color=\"custom\" accent_color=\"#ebebeb\" css=\".vc_custom_1570523648331{margin-bottom: 17px !important;}\"][vc_row_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"180\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Staff on three continents\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"8\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Consulting engagements\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"8\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"learning community members\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][\/vc_column_inner][\/vc_row_inner][g5element_space spacing=\"0\" spacing_lg=\"0\" spacing_md=\"68\"][\/vc_column][vc_column css=\".vc_custom_1570524374325{margin-top: 6px !important;background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/video-02.jpg?id=1758) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\" offset=\"vc_col-md-6\" el_class=\"custom-border-images\"][g5element_space spacing=\"190\" spacing_lg=\"170\" spacing_md=\"150\" spacing_sm=\"140\" spacing_xs=\"120\"][g5element_video video_color=\"accent\"][g5element_space spacing=\"190\" spacing_lg=\"170\" spacing_md=\"150\" spacing_sm=\"140\" spacing_xs=\"120\"][\/vc_column][vc_column][g5element_space spacing=\"146\" spacing_md=\"98\"][\/vc_column][\/vc_row]","custom_class":"video"},{"name":"Counter 04","image_path":"counter-04","content":"[vc_row full_width=\"stretch_row\" equal_height=\"yes\" el_class=\"vc-col-no-pt custom-col-counter-mw-390\" css=\".vc_custom_1573545969340{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/counter-03.jpg?id=805) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\"][vc_column][g5element_space spacing=\"190\" spacing_md=\"68\"][g5element_heading layout_style=\"style-02\" title=\"More than 25 Years\nof Experience\" description=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"580\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"45\" spacing_md=\"25\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"1106\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Cases completed\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067874135{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"8\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"1432\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Consultants\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067882631{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"8\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"267\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Awards winning\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067890239{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"8\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"100\" decimals=\"0\" durations=\"0\" suffix=\"%\"][g5element_heading layout_style=\"style-02\" title=\"Satisfied customers\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067898551{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"8\"][\/vc_column][vc_column][g5element_space spacing=\"196\" spacing_md=\"67\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"About Us 10","image_path":"about-us-10","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" el_class=\"vc-col-no-pt\" css=\".vc_custom_1570505581370{background-color: #f2f9ff !important;}\"][vc_column][g5element_space spacing=\"106\" spacing_lg=\"125\" spacing_md=\"80\"][\/vc_column][vc_column el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570668944120{padding-right: 60px !important;}\" offset=\"vc_col-lg-7 vc_col-md-6\"][vc_single_image image=\"783\" img_size=\"full\"][g5element_space spacing=\"\" spacing_md=\"38\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\" el_class=\"lg-col-pd-left-right-15 lg-col-mg-left-0\" css=\".vc_custom_1570669213094{margin-left: -15px !important;padding-right: 0px !important;padding-left: 0px !important;}\"][g5element_heading title=\"About Thallo business\" subtitle=\"About Us\" description=\"Above all, we believe that real change is possible and that tomorrow doesn\u2019t have to be like today.\" description_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"15\"][vc_column_text css=\".vc_custom_1570074028642{margin-bottom: 0px !important;}\"]Solving social problems requires leaders from foundations, businesses, nonprofits, and governments to reimagine the systems and relationships that shape our world. We strive for a deep understanding of how to create social change.[\/vc_column_text][g5element_space spacing=\"32\"][vc_text_separator title=\"\" color=\"custom\" accent_color=\"#ebebeb\" css=\".vc_custom_1570505507113{margin-bottom: 17px !important;}\"][vc_row_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"180\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Staff on three continents\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570074634467{margin-top: -2px !important;}\"][g5element_space spacing=\"\" spacing_sm=\"10\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Consulting engagements\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570074641522{margin-top: -2px !important;}\"][g5element_space spacing=\"\" spacing_sm=\"10\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"learning community members\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570074649570{margin-top: -2px !important;}\"][\/vc_column_inner][\/vc_row_inner][\/vc_column][vc_column][g5element_space spacing=\"70\" spacing_lg=\"121\" spacing_md=\"71\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"The Best Solutions 02","image_path":"the-best-solutions-02","content":"[vc_row full_width=\"stretch_row\" equal_height=\"yes\" css=\".vc_custom_1570076560238{background-color: #f2f9ff !important;}\" el_class=\"image-box-bg-white vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"What we do\" subtitle=\"THE BEST SOLUTIONS\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"520\"][g5element_space spacing=\"57\" spacing_md=\"37\"][g5element_slider_container slides_to_show=\"3\" columns_md=\"2\" columns_sm=\"2\" columns_xs=\"1\" navigation_arrow=\"\"][g5element_image_box icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Raw Spreades\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.\n<div id=\"gtx-trans\" style=\"position: absolute; left: -156px; top: -26px;\">\n<div class=\"gtx-trans-icon\"><\/div>\n<\/div>\n[\/g5element_image_box][g5element_image_box icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"No Dealing Desk\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][g5element_image_box icon_image=\"741\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"State of the Art\" link=\"url:%23|||\" switch_show_button=\"on\" text_button=\"READ MORE\" button_style=\"link\"]Receive premium pricing from Top Tier financial institutions. Pricing from Top Tier financial institutions.[\/g5element_image_box][\/g5element_slider_container][g5element_space spacing=\"115\" spacing_md=\"65\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Thallo Business 02","image_path":"thallo-business-02","content":"[vc_row equal_height=\"yes\" el_class=\"image-box-hover-bsd vc-col-no-pt\" css=\".vc_custom_1570433685664{margin-right: 0px !important;margin-left: 0px !important;}\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Thallo Industries\" subtitle=\"THALLO BUSINESS\"][g5element_space spacing=\"38\" spacing_md=\"18\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"601\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_sm=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Consulting\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_sm=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"603\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Consulting\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_sm=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Consulting\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_sm=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"741\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"40\" spacing_sm=\"0\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-02\" icon_image=\"605\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\" link=\"url:%23|||\"]We are a company that offers design and build services for you from initial sketches to the final construction.[\/g5element_image_box][g5element_space spacing=\"92\" spacing_md=\"42\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"About Us 06","image_path":"about-us-06","content":"[vc_row el_class=\"vc-col-no-pt\" css=\".vc_custom_1570522716393{margin-right: 0px !important;margin-left: 0px !important;}\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][\/vc_column][vc_column el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570522797874{padding-right: 60px !important;padding-left: 0px !important;}\" offset=\"vc_col-lg-6 vc_col-md-6\"][g5element_heading title=\"About Thallo business\" subtitle=\"About Us\" description=\"Above all, we believe that real change is possible and that tomorrow doesn\u2019t have to be like today.\" description_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"15\"][vc_column_text css=\".vc_custom_1570074028642{margin-bottom: 0px !important;}\"]Solving social problems requires leaders from foundations, businesses, nonprofits, and governments to reimagine the systems and relationships that shape our world. We strive for a deep understanding of how to create social change.[\/vc_column_text][g5element_space spacing=\"32\"][vc_text_separator title=\"\" color=\"custom\" accent_color=\"#ebebeb\" css=\".vc_custom_1570523481922{margin-bottom: 17px !important;}\"][vc_row_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"180\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Staff on three continents\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"10\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Consulting engagements\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"\" spacing_sm=\"10\"][\/vc_column_inner][vc_column_inner width=\"1\/3\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2248%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22accent%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"380\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"learning community members\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%221.6%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\"][\/vc_column_inner][\/vc_row_inner][g5element_space spacing=\"0\" spacing_lg=\"0\" spacing_md=\"68\"][\/vc_column][vc_column css=\".vc_custom_1570522611121{margin-top: 6px !important;background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/video-02.jpg?id=1758) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;border-radius: 5px !important;}\" offset=\"vc_col-md-6\" el_class=\"custom-border-images\"][g5element_space spacing=\"190\" spacing_lg=\"170\" spacing_md=\"150\" spacing_sm=\"140\" spacing_xs=\"120\"][g5element_video video_color=\"accent\"][g5element_space spacing=\"190\" spacing_lg=\"170\" spacing_md=\"150\" spacing_sm=\"140\" spacing_xs=\"120\"][\/vc_column][vc_column][g5element_space spacing=\"146\" spacing_lg=\"122\" spacing_md=\"98\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"Thallo Business 01","image_path":"thallo-business-01","content":"[vc_row equal_height=\"yes\" el_class=\"image-box-hover-slide vc-col-no-pt image-box-border\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading layout_style=\"style-02\" title=\"Thallo Industries\" subtitle=\"THALLO BUSINESS\" description=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"585\"][g5element_space spacing=\"73\" spacing_md=\"53\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"601\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"602\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"603\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"604\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"607\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Partnership Ecosystem Consulting\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"28\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-4\"][g5element_image_box layout_style=\"style-04\" icon_image=\"605\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"130\" spacing_md=\"80\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Counter 03","image_path":"counter-03","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570503318210{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt row\"][vc_column el_class=\"order-lg-1\"][g5element_space spacing=\"98\" spacing_lg=\"123\" spacing_md=\"80\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\" el_class=\"order-lg-3 lg-col-mg-right-0\" css=\".vc_custom_1570503775761{margin-right: -190px !important;}\"][vc_single_image image=\"648\" img_size=\"full\" css=\".vc_custom_1570070807940{margin-bottom: 0px !important;}\"][g5element_space spacing=\"0\" spacing_lg=\"0\" spacing_md=\"73\"][\/vc_column][vc_column offset=\"vc_col-lg-6 vc_col-md-6\" el_class=\"order-lg-2 lg-col-pd-right-15\" css=\".vc_custom_1570503765408{padding-right: 80px !important;}\"][vc_column_text css=\".vc_custom_1570070056605{margin-bottom: 0px !important;}\"]\n<h2 class=\"font-primary\" style=\"letter-spacing: -0.04em; max-width: 380px;\">Building <span class=\"accent-text-color\">Strategies<\/span> for Your Financial Future<\/h2>\nVestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris condimentum nibh[\/vc_column_text][g5element_space spacing=\"45\" spacing_md=\"25\"][vc_row_inner el_class=\"custom-col-counter-mw-390\"][vc_column_inner width=\"1\/2\" offset=\"vc_col-xs-6\"][g5element_counter start_value=\"0\" end_value=\"310\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Cases completed\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065269443{margin-top: -3px !important;}\"][g5element_space spacing=\"36\" spacing_md=\"16\"][g5element_counter start_value=\"0\" end_value=\"267\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Awards winning\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065314666{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"16\"][\/vc_column_inner][vc_column_inner el_class=\"lg-col-pd-left-15\" width=\"1\/2\" css=\".vc_custom_1573544120532{padding-left: 35px !important;}\" offset=\"vc_col-xs-6\"][g5element_counter start_value=\"0\" end_value=\"143\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Consultants\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065366177{margin-top: -3px !important;}\"][g5element_space spacing=\"36\" spacing_md=\"16\"][g5element_counter start_value=\"0\" end_value=\"100\" decimals=\"0\" durations=\"0\" suffix=\"%\"][g5element_heading title=\"Satisfied customers\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065406873{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"16\"][\/vc_column_inner][\/vc_row_inner][\/vc_column][vc_column el_class=\"order-lg-4\"][g5element_space spacing=\"98\" spacing_lg=\"123\" spacing_md=\"60\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"Industries 01","image_path":"industries-01","content":"[vc_row equal_height=\"yes\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"125\" spacing_md=\"75\"][g5element_heading title=\"We bring the best things\nFor you\" subtitle=\"industries\" subtitle_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%2214%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.2em%22%2C%22color%22%3A%22%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"67\" spacing_md=\"47\"][\/vc_column][vc_column width=\"1\/2\" css=\".vc_custom_1570067845123{padding-right: 50px !important;}\" el_class=\"lg-col-pd-right-15\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"671\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Travel and Aviation Consulting\" link=\"url:%23|||\"]Company that offers design and build services for you from initial sketches to the final production.[\/g5element_image_box][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" css=\".vc_custom_1570067857753{padding-right: 50px !important;}\" el_class=\"lg-col-pd-right-15\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"672\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Business Services Consulting\" link=\"url:%23|||\"]We consider all the drivers of change \u2013 from the ground up and we\u2019ll motivate and support you to make the change.[\/g5element_image_box][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" css=\".vc_custom_1570067836581{padding-right: 50px !important;}\" el_class=\"lg-col-pd-right-15\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"673\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Consumer Products Consulting\" link=\"url:%23|||\"]Design repeatable growth models and innovation pipelines that generate new products with higher potential and lower risks of failure.[\/g5element_image_box][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570067868131{padding-right: 50px !important;}\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"674\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Financial Services Consulting\" link=\"url:%23|||\"]We work buy-side and sell-side and give our clients hard-hitting and objective answers and focus hard on the best opportunities.[\/g5element_image_box][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570067912001{padding-right: 50px !important;}\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"675\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Energy and Environment Consulting\" link=\"url:%23|||\"]We work across all the major geographies, meaning we understand the underlying drivers in construction markets.[\/g5element_image_box][g5element_space spacing=\"69\" spacing_md=\"49\"][\/vc_column][vc_column width=\"1\/2\" el_class=\"lg-col-pd-right-15\" css=\".vc_custom_1570067923510{padding-right: 50px !important;}\" offset=\"vc_col-md-4\"][g5element_image_box icon_image=\"676\" img_style=\"img-default\" img_size=\"img-size-origin\" title=\"Educational solutions\" link=\"url:%23|||\"]Scheduled transport operations, from broad market trends and strategy to the development of integrated commercial strategies.[\/g5element_image_box][g5element_space spacing=\"151\" spacing_md=\"76\"][\/vc_column][\/vc_row]","custom_class":"image-box"},{"name":"Counter 02","image_path":"counter-02","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt custom-col-counter-mw-390\" css=\".vc_custom_1573545475532{background-image: url(https:\/\/thallo.g5plus.net\/wp-content\/uploads\/2019\/10\/counter-02.jpg?id=688) !important;background-position: center !important;background-repeat: no-repeat !important;background-size: cover !important;}\"][vc_column][g5element_space spacing=\"117\" spacing_md=\"71\"][g5element_heading layout_style=\"style-02\" title=\"More than 25 Years\nof Experience\" description=\"Sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"580\" title_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" description_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\"][g5element_space spacing=\"45\" spacing_md=\"25\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"1106\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Cases completed\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067874135{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"7\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"1432\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Consultants\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067882631{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"7\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"267\" decimals=\"0\" durations=\"0\"][g5element_heading layout_style=\"style-02\" title=\"Awards winning\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067890239{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"7\"][\/vc_column][vc_column width=\"1\/2\" offset=\"vc_col-md-3 vc_col-xs-6\"][g5element_counter value_typography=\"%7B%22font_family%22%3A%22%22%2C%22font_weight%22%3A%22%22%2C%22font_style%22%3A%22%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22center%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22%22%2C%22color%22%3A%22%23ffffff%22%2C%22hover_color%22%3A%22%22%7D\" start_value=\"0\" end_value=\"100\" decimals=\"0\" durations=\"0\" suffix=\"%\"][g5element_heading layout_style=\"style-02\" title=\"Satisfied customers\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%23c2c2c2%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570067898551{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"7\"][\/vc_column][vc_column][g5element_space spacing=\"735\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"Counter 01","image_path":"counter-01","content":"[vc_row full_width=\"stretch_row\" content_placement=\"middle\" css=\".vc_custom_1570066163601{background-color: #f2f9ff !important;}\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"68\" spacing_md=\"80\"][\/vc_column][vc_column offset=\"vc_col-lg-7 vc_col-md-6\" el_class=\"lg-col-mg-left-0\" css=\".vc_custom_1570066675300{margin-left: -220px !important;}\"][vc_single_image image=\"648\" img_size=\"full\" css=\".vc_custom_1570073603056{margin-bottom: 0px !important;}\"][g5element_space spacing=\"\" spacing_md=\"70\"][\/vc_column][vc_column offset=\"vc_col-lg-5 vc_col-md-6\"][vc_column_text css=\".vc_custom_1570065975515{margin-bottom: 0px !important;}\"]\n<h2 class=\"font-primary\" style=\"letter-spacing: -0.04em;\"><span class=\"accent-text-color\">Doing the right thing,<\/span>\nat the right time.<\/h2>\n[\/vc_column_text][g5element_space spacing=\"41\" spacing_md=\"21\"][vc_row_inner el_class=\"custom-col-counter-mw-390\"][vc_column_inner width=\"1\/2\" offset=\"vc_col-xs-6\"][g5element_counter start_value=\"0\" end_value=\"310\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Cases completed\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065269443{margin-top: -3px !important;}\"][g5element_space spacing=\"36\" spacing_md=\"16\"][g5element_counter start_value=\"0\" end_value=\"267\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Awards winning\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065314666{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"16\"][\/vc_column_inner][vc_column_inner el_class=\"lg-col-pd-left-15\" width=\"1\/2\" css=\".vc_custom_1573544120532{padding-left: 35px !important;}\" offset=\"vc_col-xs-6\"][g5element_counter start_value=\"0\" end_value=\"143\" decimals=\"0\" durations=\"0\"][g5element_heading title=\"Consultants\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065366177{margin-top: -3px !important;}\"][g5element_space spacing=\"36\" spacing_md=\"16\"][g5element_counter start_value=\"0\" end_value=\"100\" decimals=\"0\" durations=\"0\" suffix=\"%\"][g5element_heading title=\"Satisfied customers\" title_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22600%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%2216%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%22-0.025em%22%2C%22color%22%3A%22%237d7d7d%22%2C%22hover_color%22%3A%22%22%7D\" css=\".vc_custom_1570065406873{margin-top: -3px !important;}\"][g5element_space spacing=\"\" spacing_md=\"16\"][\/vc_column_inner][\/vc_row_inner][\/vc_column][vc_column][g5element_space spacing=\"68\" spacing_md=\"62\"][\/vc_column][\/vc_row]","custom_class":"counter"},{"name":"Pricing Table 02","image_path":"pricing-table-02","content":"[vc_row full_width=\"stretch_row\" el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"124\" spacing_md=\"74\"][g5element_heading layout_style=\"style-02\" title=\"Our great price\" subtitle=\"Procing table\" description=\"Vestibulum sollicitudin nunc in eros a justo facilisis rutrum. Aenean id ullamcorper libero. Vestibulum imperdiet nibh tortor mauris\" limit_width=\"530\" icon_type=\"image\" icon_size=\"large\" icon_mg_top=\"10\" image=\"989\" css=\".vc_custom_1570590504465{margin-bottom: 20px !important;}\"][g5element_space spacing=\"38\" spacing_md=\"18\"][g5element_slider_container slides_to_show=\"3\" columns_md=\"2\" columns_xs=\"1\" navigation_arrow=\"\" margin_item=\"30\" el_class=\"custom-pricing-btn\"][g5element_pricing_table image=\"627\" name=\"Simple plan\" price=\"70\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_style=\"outline\" button_shape=\"round\" el_class=\"gel-pricing-line\" background=\"#ffffff\"][g5element_pricing_table image=\"628\" name=\"Advanced plan\" price=\"170\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_shape=\"round\" el_class=\"gel-pricing-line\" background=\"#ffffff\"][g5element_pricing_table image=\"629\" name=\"Powerful\" price=\"290\" duration=\"\/ mont\" set_name_typography=\"\" set_price_typography=\"\" set_currency_typography=\"\" set_duration_typography=\"\" set_desc_typography=\"\" list_features=\"%5B%7B%22feature%22%3A%22Nemo%20enim%20ipsam%20voluptatem%20quia%20voluptas%20sit%20aspernatur%20aut%20odit%20aut%20fugit%2C%20sed%20quia%20consequuntur%20magni%20dolores%20eos%20qui%20ratione%20voluptatem%20sequi%20nesciunt.%20Neque%20porro%22%7D%5D\" button_title=\"SELECT PLAN\" button_style=\"outline\" button_shape=\"round\" el_class=\"gel-pricing-line\" background=\"#ffffff\"][\/g5element_slider_container][g5element_space spacing=\"112\" spacing_md=\"70\"][\/vc_column][\/vc_row]","custom_class":"pricing-table"},{"name":"Tabs","image_path":"tabs","content":"[vc_row el_class=\"vc-col-no-pt\"][vc_column][g5element_space spacing=\"49\"][vc_tta_tabs style=\"outline\" shape=\"square\" gap=\"30\" active_section=\"1\" el_class=\"custom-tab\"][vc_tta_section title=\"challenge\" tab_id=\"1569835939679-f9fcfad6-abfc\"][vc_column_text]Companies seem to dislike the term \u2018turnaround consulting\u2019 because it represents failure. The truth is that turnaround consulting represents success at realizing the company is going in the wrong direction. The only time the company fails is when it is not possible to do a turnaround anymore. We help companies pivot into more profitable directions where they can expand and grow. It is inevitable that companies will end up making a few mistakes; we help them correct these mistakes.\n[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Improve%20sales%20and%20operations%20and%20production%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184002060{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The teams focused their efforts on a few of the highest-value S&amp;OP levers in order to review the current planning process, identify gaps in the planning infrastructure and analytically understand demand and supply variability.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Determine%20the%20right%20inventory%20level%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184037423{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]With hundreds of medications in the market, Pharm Ltd. needed a proper method to predict and manage their inventory. Using a mean absolute percentage analysis (MAPE), the teams defined appropriate levels for raw materials and finished products by mapping actual versus forecasted sales on the most important SKUs.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Optimize%20the%20supply%20chain%20for%20perfect%20order%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184069852{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The diagnostic determined the stressors that affected sales and service levels. The teams focused on resolving issues related to higher-than-normal back-orders and lead times, which stressed the entire supply chain and led to delays in medications reaching consumers.[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"solution\" tab_id=\"1569835939702-55f5c41d-3cac\"][vc_column_text]Companies seem to dislike the term \u2018turnaround consulting\u2019 because it represents failure. The truth is that turnaround consulting represents success at realizing the company is going in the wrong direction. The only time the company fails is when it is not possible to do a turnaround anymore. We help companies pivot into more profitable directions where they can expand and grow. It is inevitable that companies will end up making a few mistakes; we help them correct these mistakes.\n[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Improve%20sales%20and%20operations%20and%20production%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184002060{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The teams focused their efforts on a few of the highest-value S&amp;OP levers in order to review the current planning process, identify gaps in the planning infrastructure and analytically understand demand and supply variability.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Determine%20the%20right%20inventory%20level%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184037423{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]With hundreds of medications in the market, Pharm Ltd. needed a proper method to predict and manage their inventory. Using a mean absolute percentage analysis (MAPE), the teams defined appropriate levels for raw materials and finished products by mapping actual versus forecasted sales on the most important SKUs.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Optimize%20the%20supply%20chain%20for%20perfect%20order%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184069852{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The diagnostic determined the stressors that affected sales and service levels. The teams focused on resolving issues related to higher-than-normal back-orders and lead times, which stressed the entire supply chain and led to delays in medications reaching consumers.[\/vc_column_text][\/vc_tta_section][vc_tta_section title=\"result\" tab_id=\"1570183693643-8bd92999-c32e\"][vc_column_text]Companies seem to dislike the term \u2018turnaround consulting\u2019 because it represents failure. The truth is that turnaround consulting represents success at realizing the company is going in the wrong direction. The only time the company fails is when it is not possible to do a turnaround anymore. We help companies pivot into more profitable directions where they can expand and grow. It is inevitable that companies will end up making a few mistakes; we help them correct these mistakes.\n[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Improve%20sales%20and%20operations%20and%20production%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184002060{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The teams focused their efforts on a few of the highest-value S&amp;OP levers in order to review the current planning process, identify gaps in the planning infrastructure and analytically understand demand and supply variability.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Determine%20the%20right%20inventory%20level%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184037423{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]With hundreds of medications in the market, Pharm Ltd. needed a proper method to predict and manage their inventory. Using a mean absolute percentage analysis (MAPE), the teams defined appropriate levels for raw materials and finished products by mapping actual versus forecasted sales on the most important SKUs.[\/vc_column_text][g5element_list item_typography=\"%7B%22font_family%22%3A%22Open%20Sans%22%2C%22font_weight%22%3A%22700%22%2C%22font_style%22%3A%22normal%22%2C%22font_size_lg%22%3A%22%22%2C%22font_size_md%22%3A%22%22%2C%22font_size_sm%22%3A%22%22%2C%22font_size_xs%22%3A%22%22%2C%22align%22%3A%22%22%2C%22text_transform%22%3A%22%22%2C%22line_height%22%3A%22%22%2C%22letter_spacing%22%3A%220.025em%22%2C%22color%22%3A%22%23000000%22%2C%22hover_color%22%3A%22%22%7D\" values=\"%5B%7B%22items%22%3A%22Optimize%20the%20supply%20chain%20for%20perfect%20order%20planning%3A%22%7D%5D\"][vc_column_text css=\".vc_custom_1570184069852{margin-bottom: 18px !important;padding-top: 7px !important;padding-left: 30px !important;}\"]The diagnostic determined the stressors that affected sales and service levels. The teams focused on resolving issues related to higher-than-normal back-orders and lead times, which stressed the entire supply chain and led to delays in medications reaching consumers.[\/vc_column_text][\/vc_tta_section][\/vc_tta_tabs][g5element_space spacing=\"80\" spacing_md=\"58\"][\/vc_column][\/vc_row]","custom_class":"tabs"},{"name":"Google Map","image_path":"google-map","content":"[vc_row full_width=\"stretch_row_content_no_spaces\" el_class=\"vc-col-no-pt\"][vc_column][g5element_google_map map_height=\"680\" map_height_lg=\"650\" map_height_md=\"600\" map_height_sm=\"550\" map_height_xs=\"500\" zoom_mouse_wheel=\"\" color_effect1=\"\" map_style=\"cool-grey\" values=\"%5B%7B%22address%22%3A%2240.735601%2C-74.165918%22%2C%22title%22%3A%22Title%22%2C%22description%22%3A%22Neque%20porro%20quisquam%20est%20qui%20dolorem%20ipsum%20quia%20dolor%20sit%20amet%2C%20consectetur%2C%20adipisci%20velit...%22%2C%22image_marker%22%3A%22335%22%7D%5D\"][\/vc_column][\/vc_row]","custom_class":"google-map"}]',true);
			return $templates;
		}

		public function vc_template_categories() {
			$categories = json_decode('{"all":"All","accordion":"Accordion","case":"Case","charts":"Charts","client-logo":"Client Logo","contact-form":"Contact Form","counter":"Counter","faq":"FAQ","footer":"Footer","google-map":"Google map","icon-box":"Icon Box","image-box":"Image Box","list":"List","other":"Other","our-team":"Our Team","page-title":"Page Title","portfolio":"Portfolio","posts-slider":"Posts Slider","pricing-table":"Pricing table","services":"Services","services-slider":"Services Slider","staff":"Staff","tabs":"Tabs","testimonials":"Testimonials","video":"Video"}', true);
			return $categories;
		}
	}
}